/*
	EGX system - by Enigx
	
	AddObjToBackpack.sqf
	
*/

[] spawn {
    private _dialogValues = ["Add item to backpack",[
        ["COMBOBOX","Object to add",[
				"Ear plugs",
				"Trench shovel",
				"Green spray can",
				"Red spray can",
				"Blue spray can",
				"Black spray can",
				"VectorDay binoculars",
				"Rangefinder",
				"Laser Designator",
				"Battery for Laser Designator",
				"Magazine for M4 M855A1 Stanag",
				"Magazine for MG 200Rnd_556x45_box",
				"Magazine for Marksman 762x51_m118_special_Mag",
				"Granade M441_HE",
				"White smoke Granade",
				"Green smoke Granade",
				"Violet smoke Granade",
				"White smoke M714 (GL)",
				"Granade M67",
				"Compressive field dress",
				"Elastic field dress",
				"Tourniquet",
				"Saline 250 ml",
				"Saline 500 ml",
				"Saline 1000 ml",
				"Surgical kit",
				"Adrenaline",
				"Morphine",
				"Adenosine",
				"Detonator M57",
				"Kit E.O.D.",
				"Mine detector",
				"Demolition charge M112",
				"Barbed wire cutter",
				"Viewfinder ACOG RMR",
				"Cartographic tools",
				"MicroDAGR",
				"DAGR",
				"Radio TFAR 152",
				"Plastic ties",
				"Red flashlight Fulton MX-991",
				"White flashlight Maglite XL50",
				"Laser Pointer (green)",
				"UAV Battery",
				"Night visor NV (Wide)",
				"Altimeter watch",
				"IR strobo",
				"ATragMX",
				"Kestrel 4500NV",
				"Banana"
				],0],
        ["SLIDER","Quantity",[1,5,0],2],
        ["COMBOBOX","Add the object to",["Player selected from list","All players"],0]
    ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_objBp","_qty","_dest"];
    
		objToAdd = "";
		totobj = _qty;
		switch (_objBp) do {

				case 0: { objToAdd = "ACE_EarPlugs";};
				case 1: { objToAdd = "ACE_EntrenchingTool";};
				case 2: { objToAdd = "ACE_SpraypaintGreen";};
				case 3: { objToAdd = "ACE_SpraypaintRed";};
				case 4: { objToAdd = "ACE_SpraypaintBlue";};
				case 5: { objToAdd = "ACE_SpraypaintBlack";};				
				case 6: { objToAdd = "ACE_VectorDay";};
				case 7: { objToAdd = "Rangefinder";};
				case 8: { objToAdd = "Laserdesignator";};
				case 9: { objToAdd = "Laserbatteries";};			

				case 10: { objToAdd = "rhs_mag_30Rnd_556x45_M855A1_Stanag";};
				case 11: { objToAdd = "rhsusf_200Rnd_556x45_box";};
				case 12: { objToAdd = "rhsusf_20Rnd_762x51_m118_special_Mag";};
				case 13: { objToAdd = "rhs_mag_M441_HE";};
				case 14: { objToAdd = "rhs_mag_an_m8hc";};
				case 15: { objToAdd = "SmokeShellGreen";};
				case 16: { objToAdd = "SmokeShellPurple";};
				case 17: { objToAdd = "rhs_mag_m714_White";};
				case 18: { objToAdd = "rhs_mag_m67";};
			
				case 19: { objToAdd = "ACE_packingBandage";};
				case 20: { objToAdd = "ACE_elasticBandage";};
				case 21: { objToAdd = "ACE_tourniquet";};
				case 22: { objToAdd = "ACE_salineIV_250";};
				case 23: { objToAdd = "ACE_salineIV_500";};
				case 24: { objToAdd = "ACE_salineIV";};
				case 25: { objToAdd = "ACE_surgicalKit";};
				case 26: { objToAdd = "ACE_epinephrine";};
				case 27: { objToAdd = "ACE_morphine";};
				case 28: { objToAdd = "ACE_adenosine";};
			
				case 29: { objToAdd = "ACE_Clacker";};
				case 30: { objToAdd = "ACE_DefusalKit";};
				case 31: { objToAdd = "MineDetector";};
				case 32: { objToAdd = "DemoCharge_Remote_Mag";};
				case 33: { objToAdd = "ACE_wirecutter";};
			
				case 34: { objToAdd = "rhsusf_acc_ACOG_RMR";};
				case 35: { objToAdd = "ACE_MapTools";};
				case 36: { objToAdd = "ACE_microDAGR";};
				case 37: { objToAdd = "ACE_DAGR";};
				case 38: { objToAdd = "TFAR_anprc152";};
				case 39: { objToAdd = "ACE_CableTie";};
				case 40: { objToAdd = "ACE_Flashlight_MX991";};
				case 41: { objToAdd = "ACE_Flashlight_XL50";};
				case 42: { objToAdd = "ACE_acc_pointer_green";};
				case 43: { objToAdd = "ACE_UAVBattery";};
				case 44: { objToAdd = "ACE_NVG_Wide";};
				case 45: { objToAdd = "ACE_Altimeter";};
				case 46: { objToAdd = "ACE_IR_Strobe_Item";};
				case 47: { objToAdd = "ACE_ATragMX";};
				case 48: { objToAdd = "ACE_Kestrel4500";};							
				case 49: { objToAdd = "ACE_Banana";};				
		};		

		switch (_dest) do {
			case 0: { 
 						createDialog "TER_RscTestDialog";
						_display = findDisplay 73000;
						_playerList = _display ctrlCreate ["RscListbox",1500];
						_playerList ctrlSetPosition [
						0.1 * safezoneW + safezoneX,
						0.14 * safezoneH + safezoneY,
						0.16 * safezoneW,
						0.75 * safezoneH
						]; 
						_playerList ctrlCommit 0;
						{
							_playerList lbAdd name _x;
						} forEach allPlayers;
						
						_button = _display ctrlCreate ["RscButtonMenu",-1];
						_button ctrlSetPosition [
						0.27 * safezoneW + safezoneX,
						0.14 * safezoneH + safezoneY,
						0.12 * safezoneW,
						0.094 * safezoneH
						];
						_button	ctrlCommit 0;
						_button ctrlSetText "Choose the Player and then Click here to OK, or ESC to CANCEL";
						_button ctrlAddEventHandler ["ButtonClick",{
									params ["_button"];
									_playerList = (findDisplay 73000) displayCtrl 1500;
									_curName = _playerList lbText (lbCurSel _playerList);
								closeDialog 73000;

						if (_curName isEqualTo "") exitWith {hint "Select the player first";};
						playerObject = allPlayers select ( allPlayers findIf {(name _x) isEqualTo _curName;} );
						
						if ((objToAdd == "ACE_VectorDay") or (objToAdd == "Rangefinder") or (objToAdd == "Laserdesignator")) then {
								playerObject removeWeaponGlobal "Binocular"; 
								playerObject addWeaponGlobal objToAdd;
								hint format["You added one %1 a %2.",objToAdd,name playerObject];
						} else {
								
								for "_i" from 1 to totobj do {playerObject addItemToBackpack objToAdd;};
								hint format["You added n.%1 of %2 in the backpack of %3.",totobj,objToAdd,name playerObject];
						};
								
						}];	
 						};
 				
 			case 1: {
 						if ((objToAdd == "ACE_VectorDay") or (objToAdd == "Rangefinder") or (objToAdd == "Laserdesignator")) then {
								{_x removeWeaponGlobal "Binocular"; _x addWeaponGlobal objToAdd;} forEach allPlayers;
								hint format["You added one %1 to all players.",objToAdd];
								} else {
								{for "_i" from 1 to totobj do {_x addItemToBackpack objToAdd;}} forEach allPlayers;
								hint format["You put n.%1 of %2 in the backpack of all players.",totobj,objToAdd];
								};
				 		};	
		};		
		
};

