/*
	EGX system - by Enigx
	
	AssignLoadoutToPlayer.sqf
	
*/

[] spawn {
    private _dialogValues = ["Assign a loadout to a player in the list",[
        ["COMBOBOX","Loadout to assign",[
        	"Squad Leader",
        	"Team Leader",
        	"Rifleman",
        	"Rifleman AT",
        	"Medic",
        	"Machine gunner",
        	"Explosives Specialist",
        	"Grenadier",
        	"Marksman",
			"Ammo Carrier",
			"Sniper"
        	],2],
        ["CHECKBOX","Open LoadoutPanel directly on the player screen",[],false]
      ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_loadplr","_openSchermoPlr"];
    
	loadplrglobal =_loadplr;
	openSchermo = _openSchermoPlr;
	
   createDialog "RSCDisplayCommon";
		waitUntil{ !isNull ( uiNamespace getVariable[ "RscDisplayCommon", displayNull ] ) };
		_display = uiNamespace getVariable "RscDisplayCommon";
		
		_playerList = _display ctrlCreate[ "ctrlListbox", 10000 ];
		_playerList ctrlSetPosition[
				0.1 * safezoneW + safezoneX,
				0.14 * safezoneH + safezoneY,
				0.16 * safezoneW,
				0.75 * safezoneH
			 	];
		_playerList ctrlCommit 0;
		{
			_index = _playerList lbAdd name _x;
			_playerList lbSetData[ _index, _x call BIS_fnc_objectVar ];
		} forEach ( allPlayers );
		_playerList lbSetCurSel 0;
		
		_button = _display ctrlCreate[ "ctrlButton", 10001 ];
		_button ctrlSetPosition[
				0.27 * safezoneW + safezoneX,
				0.14 * safezoneH + safezoneY,
				0.12 * safezoneW,
				0.094 * safezoneH 
				];
		_button	ctrlCommit 0;
		_button ctrlSetText "Choose the Player and then Click here to OK, or ESC to CANCEL";
		
		_button ctrlAddEventHandler[ "ButtonClick", {
				params[ "_button" ];
					
				_playerList = ctrlParent _button displayCtrl 10000;
				_selectedIndex = lbCurSel _playerList;
				
				_curName = _playerList lbText _selectedIndex;
			
				_objectName = _playerList lbData _selectedIndex;
				_playerObject = missionNamespace getVariable _objectName;
				playerObject = _playerObject;
	
		if (openSchermo) then {				
				["home"] remoteExec ["createDialog", _playerObject]; 				
		} 
		else 
		{
		switch (loadplrglobal) do {
			case 0: {  						
 						["EGX_system\loadout\squadleader.sqf"] remoteExec ["BIS_fnc_execVM", _playerObject];
 						_txt = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>You have been assigned the role of Squad Leader</t>"];
						[parseText (_txt)] remoteExec ["hint",_playerObject];						 						
 						hint format["Hai dato il ruolo di Squad Leader to %1", name _playerObject];
					};
 				
 			case 1: {
 						["EGX_system\loadout\teamleader.sqf"] remoteExec ["BIS_fnc_execVM", _playerObject];
 						_txt = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>You have been assigned the role of Team Leader</t>"];
						[parseText (_txt)] remoteExec ["hint",_playerObject];	
 						hint format["Hai dato il ruolo di Team Leader to %1", name _playerObject]; 						
 					};
			
			case 2: {
 						["EGX_system\loadout\Rifleman.sqf"] remoteExec ["BIS_fnc_execVM", _playerObject];
 						_txt = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>You have been assigned the role of Rifleman</t>"];
						[parseText (_txt)] remoteExec ["hint",_playerObject];																	
 						hint format["Hai dato il ruolo di Rifleman to %1", name _playerObject]; 						 						
 					};
 							 		
		 	case 3: {
 						["EGX_system\loadout\RiflemanAT.sqf"] remoteExec ["BIS_fnc_execVM", _playerObject];
 						_txt = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>You have been assigned the role of Rifleman AT</t>"];
						[parseText (_txt)] remoteExec ["hint",_playerObject]; 																
 						hint format["You gave the role of Rifleman AT to %1", name _playerObject]; 						 						
 					};
 			
 			case 4: {
 						["EGX_system\loadout\medic.sqf"] remoteExec ["BIS_fnc_execVM", _playerObject];
 						_txt = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>You have been assigned the role of Medic</t>"];
						[parseText (_txt)] remoteExec ["hint",_playerObject]; 						
 						hint format["You gave the role of Medic to %1", name _playerObject];
						["EGX_system\functions\Medic_menu\fn_addMedicMenu.sqf"] remoteExec ["BIS_fnc_execVM", _playerObject];						
 					};
			
			case 5: {
 						["EGX_system\loadout\MachineGunner.sqf"] remoteExec ["BIS_fnc_execVM", _playerObject];
 						_txt = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>You have been assigned the role of Machine gunner</t>"];
						[parseText (_txt)] remoteExec ["hint",_playerObject];												 						
 						hint format["You gave the role of Machine gunner to %1", name _playerObject];
 					};
 							 		
		 	case 6: {
 						["EGX_system\loadout\spec_explosives.sqf"] remoteExec ["BIS_fnc_execVM", _playerObject];
 						_txt = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>You have been assigned the role of Explosives Specialist</t>"];
						[parseText (_txt)] remoteExec ["hint",_playerObject];												 						
 						hint format["You gave the role of Explosives Specialist to %1", name _playerObject];
 					};		
 			
 			case 7: {
 						["EGX_system\loadout\granadier.sqf"] remoteExec ["BIS_fnc_execVM", _playerObject];
 						_txt = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>You have been assigned the role of Granadier</t>"];
						[parseText (_txt)] remoteExec ["hint",_playerObject];								 						
 						hint format["You gave the role of Granadier to %1", name _playerObject];
 					};
 			
 			case 8: {
 						["EGX_system\loadout\marksman.sqf"] remoteExec ["BIS_fnc_execVM", _playerObject];
 						_txt = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>You have been assigned the role of Marksman</t>"];
						[parseText (_txt)] remoteExec ["hint",_playerObject]; 						
 						hint format["You gave the role of Marksman to %1", name _playerObject];
 					};
					
			case 9: {
 						["EGX_system\loadout\ammoCarrier.sqf"] remoteExec ["BIS_fnc_execVM", _playerObject];
 						_txt = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>You have been assigned the role of Ammo Carrier</t>"];
						[parseText (_txt)] remoteExec ["hint",_playerObject]; 						
 						hint format["You gave the role of Ammo Carrier to %1", name _playerObject];
 					};
					
			case 10: {
 						["EGX_system\loadout\sniper.sqf"] remoteExec ["BIS_fnc_execVM", _playerObject];
 						_txt = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>You have been assigned the role of Sniper</t>"];
						[parseText (_txt)] remoteExec ["hint",_playerObject]; 						
 						hint format["You gave the role of Sniper to %1", name _playerObject];
 					};						
 			};
 		};
			
		}];		
};