/*
	EGX system - by Enigx
	
	ChangeBackpack.sqf
		
*/

[] spawn {
    private _dialogValues = ["Replace backpack for a player",[
        ["COMBOBOX","New backpack to replace",[
								"Long range hilbe (alpine)",
								"Long range hilbe (black)",
								"Long range hilbe (sand)",
								"Long range hilbe (brown)",
								"Long range hilbe (ocp)"
								],0]
    ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_Bpack"];
    
		newBackpack = ""; 

		switch (_Bpack) do {
				case 0: { newBackpack = "tfw_ilbe_blade_alpine";};
				case 1: { newBackpack = "tfw_ilbe_blade_black";};
				case 2: { newBackpack = "tfw_ilbe_blade_arid";};
				case 3: { newBackpack = "tfw_ilbe_blade_gr";};
				case 4: { newBackpack = "tfw_ilbe_blade_ocp";};
		};

	createDialog "TER_RscTestDialog";
	_display = findDisplay 73000;
	_playerList = _display ctrlCreate ["RscListbox",1500];
	_playerList ctrlSetPosition [
	0.1 * safezoneW + safezoneX,
	0.14 * safezoneH + safezoneY,
	0.16 * safezoneW,
	0.75 * safezoneH
	]; 
	_playerList ctrlCommit 0;
	{
		_playerList lbAdd name _x;
	} forEach allPlayers;
	
	_button = _display ctrlCreate ["RscButtonMenu",-1];
	_button ctrlSetPosition [
	0.27 * safezoneW + safezoneX,
	0.14 * safezoneH + safezoneY,
	0.12 * safezoneW,
	0.094 * safezoneH
	];
	_button	ctrlCommit 0;
	_button ctrlSetText "Choose the Player and then Click here to OK, or ESC to CANCEL";
	_button ctrlAddEventHandler ["ButtonClick",{
		params ["_button"];
		_playerList = (findDisplay 73000) displayCtrl 1500;
		_curName = _playerList lbText (lbCurSel _playerList);
		closeDialog 73000;

		if (_curName isEqualTo "") exitWith {hint "Choose the player first";};
		playerObject = allPlayers select ( allPlayers findIf {(name _x) isEqualTo _curName;} );						
					
		[[newBackpack], "EGX_system\functions\ChangeBackpackAct.sqf"] remoteExec ["BIS_fnc_execVM", playerObject];															
		hint format["You replaced the backpack %1 to %2",newBackpack,name playerObject];
		}];
		
};