/*
	EGX system - by Enigx
	
	CallMedevac.sqf

*/

[] spawn {
				
		if (orderGoMedObj == 1) exitWith {
			hint "Medevac is already on a mission. \nWait for it to finish before calling it again.\nOr reset the call running the Order Medevac GO command"};
		
		orderGoMedObj = 1;
		publicVariable "orderGoMedObj";
		
		private ["_MkrIntMedArray","_wpM","_wpMback","_wpM2","_wpEnd","_MkrIntMedArrayCount","_wpMback","_LandposExt","_cont","_StartPos"];	

		private _dialogValues = ["Medevac system",[
			["COMBOBOX","Helicopter to use",["UH-60M RHS (10 s.)","Chinock RHS CH-47(22 s.)","Ghost Hawk UH-80 vanilla (8 s.)"],0],
			["SLIDER","Flight altitude (m)",[50,300,0],100],
			["SLIDER","Specify number of intermediate waypoints",[0,8,0],0],
			["CHECKBOX","Force landing in selected point (not preferred)",[],false],
			["CHECKBOX","Create new medical point",[],false]  		
		]] call CDS_fnc_createDialog;
		if (_dialogValues isEqualTo []) exitWith {orderGoMedObj = 0;publicVariable "orderGoMedObj";};		
		_dialogValues params ["_hlTyp","_heightMed","_numWypInt","_forceLand","_pMedico"];
		
		if (!_pMedico and (getMarkerColor "MedicPoint" == "")) exitWith {
			hint "The marker of the medical point has not been defined on map by editor.\nRestart the module by selecting the option to create a new one.";
			orderGoMedObj = 0; publicVariable "orderGoMedObj";};

		heliTypM = "";
		if (_hlTyp == 0) then {heliTypM = "RHS_UH60M_MEV2";
			} else {
				if (_hlTyp == 1) then {heliTypM = "RHS_CH_47F_10";
					} else {
						heliTypM = "B_Heli_Transport_01_F";
					};
			};
		_MedevacClass = heliTypM;
		
		if (!(isClass (configFile >> "cfgVehicles" >> (_MedevacClass)))) exitWith {hint format["RHS mod was not loaded. \nUse the vanilla Ghost Hawk helicopter."];
		orderGoMedObj = 0;publicVariable "orderGoMedObj";};

		createMarkerLocal ["ExtrPositionMark",[0,0,0]];
		"ExtrPositionMark" setMarkerTypeLocal "hd_pickup";
		"ExtrPositionMark" setMarkerColorLocal "ColorBlue";
		createMarkerLocal ["wypInMedtMark1",[0,0,0]];
		createMarkerLocal ["wypInMedtMark2",[0,0,0]];
		createMarkerLocal ["wypInMedtMark3",[0,0,0]];
		createMarkerLocal ["wypInMedtMark4",[0,0,0]];
		createMarkerLocal ["wypInMedtMark5",[0,0,0]];
		createMarkerLocal ["wypInMedtMark6",[0,0,0]];
		createMarkerLocal ["wypInMedtMark7",[0,0,0]];
		createMarkerLocal ["wypInMedtMark8",[0,0,0]];
		
		private _MkrIntNameArray = ["wypInMedtMark1","wypInMedtMark2","wypInMedtMark3","wypInMedtMark4","wypInMedtMark5","wypInMedtMark6","wypInMedtMark7","wypInMedtMark8"];
		_MkrIntMedArray = [];

		sleep 0.1;
		openMap true;
		private ["_MedicPointMkr"];
		_cont = 0;
		if _pMedico then {
			createMarkerLocal ["MedicPointNew",[0,0,0]];
			"MedicPointNew" setMarkerTypeLocal "loc_Hospital";
			mapclick = true;
			hint "Click on the starting position of the helicopter";
			onMapSingleClick """MedicPointNew"" setMarkerPosLocal _pos;mapclick = false;
			onMapSingleClick ''; true;";
			waitUntil {!mapClick};
			_centre = getMarkerPos "MedicPointNew";
			_StartPos = [];
			_max_distance = 100;						
			while{ (count _StartPos < 1) } do
			{
				_StartPos = _centre findEmptyPosition[10, _max_distance, heliTypM];
				_max_distance = _max_distance + 10;
				_cont = _cont + 1;
				if (_cont == 10) exitwith {};	 
			};
			if (_cont == 10) exitwith {};	
			"MedicPointNew" setMarkerPosLocal _StartPos;												
			hint parsetext format["<t font='TahomaB' t size='1.25' t color='#00FF00'>MedicPoint safe zone found close to selected position.</t>"];
			
			_MedicPointMkr = getMarkerPos "MedicPointNew";	
			
		} else {
			_MedicPointMkr = getMarkerPos "MedicPoint";
		};		
				
		if (_pMedico and (_cont == 10)) exitwith {
			hint parsetext format["<t font='TahomaB' t size='1.25' t color='#FF0000'>MedicPoint safe zone not found! Restart the module specifying a new zone.</t>"];
			deleteMarkerLocal "MedicPointNew";
			for "_i" from 0 to (_numWypInt-1) do {deleteMarkerLocal (_MkrIntNameArray select _i);};			
			orderGoMedObj = 0;
			publicVariable "orderGoMedObj";			
		};
			
		_MkrIntMedArray pushBack _MedicPointMkr;
		sleep 2;

		for "_i" from 0 to (_numWypInt-1) do {		
			mapclick = true;
			hint format["Click on the intermediate route point %1/%2",_i+1,_numWypInt];
			gg = _MkrIntNameArray select _i;						
			onMapSingleClick {gg setMarkerPos _pos;mapclick = false;
			onMapSingleClick ''; true;};		
			
			waitUntil {!mapClick};
			(_MkrIntNameArray select _i) setMarkerTypeLocal "mil_objective";				
			_MkrIntMedArray pushBack (getMarkerPos (_MkrIntNameArray select _i));
			sleep 0.2;
		};				
		sleep 0.2;
		mapclick = true;
		hint "Click on final Medevac landing zone for injured players extraction";
		onMapSingleClick """ExtrPositionMark"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		_LandposExt = getMarkerPos "ExtrPositionMark";				
		sleep 1;
		openMap false;				
		_cont = 0;
		if !(_forceLand) then {				
			_centre = getMarkerPos "ExtrPositionMark";
			_LandposExt = [];
			_max_distance = 100;		
			while{ (count _LandposExt < 1) } do
			{
				_LandposExt = _centre findEmptyPosition[10, _max_distance, heliTypM];
				_max_distance = _max_distance + 10;
				_cont = _cont + 1;
				if (_cont == 10) exitwith {};	 
			};
			if (_cont == 10) exitwith {};		
			createMarkerLocal ["SafeLZMd",_LandposExt];
			"SafeLZMd" setMarkerPosLocal _LandposExt;
			"SafeLZMd" setMarkerTypeLocal "hd_pickup";
			"SafeLZMd" setMarkerColorLocal "ColorGreen";
			"SafeLZMd" setMarkerTextLocal "Safe LZ";
			"ExtrPositionMark" setMarkerAlphaLocal 0;
			hint parsetext format["<t font='TahomaB' t size='1.25' t color='#00FF00'>Safe landing zone found close to selected position.</t>"];
		};
		if (_cont == 10) exitwith {
			hint parsetext format["<t font='TahomaB' t size='1.25' t color='#FF0000'>Safe landing zone not found! Please try again by specifying a new position.</t>"];
			deleteMarkerLocal "ExtrPositionMark";
			for "_i" from 0 to (_numWypInt-1) do {deleteMarkerLocal (_MkrIntNameArray select _i);};
			orderGoMedObj = 0;
			publicVariable "orderGoMedObj";			
		};				
		_MkrIntMedArray pushBack _LandposExt;		
		sleep 1;		
		_heliPadMed = createVehicle ["Land_HelipadEmpty_F", _LandposExt];
		_heliPadMedPoint = createVehicle ["Land_HelipadEmpty_F", _MedicPointMkr];
		sleep 1;
		_heliMedevac = createVehicle [_MedevacClass, _MedicPointMkr,[], 0,"FLY"];
		_heliMedevac flyInHeight _heightMed;
		//_heliMedevac allowdamage false; 		// ====== MODIFY, REMOVING THE COMMENT, IF NEEDED TO SET MEDEVAC INVULNERABLE

		createVehicleCrew _heliMedevac;
		{_x setSkill 1;} forEach (crew _heliMedevac);

		_heliGrpMed = group _heliMedevac;		
		_MkrIntMedArrayCount = (count _MkrIntMedArray) - 1;		
		for "_i" from 1 to _MkrIntMedArrayCount do
		{
		_wpM = _heliGrpMed addWaypoint [_MkrIntMedArray select _i, 0];
		_wpM setWaypointType "MOVE";
		_wpM setWaypointBehaviour "CARELESS";
		_wpM setWaypointCombatMode "GREEN";
		_wpM setWaypointSpeed "NORMAL";
		};
		_wpM setWaypointStatements ["true", "(vehicle this) land 'GET IN'"];	

		waituntil {getposatl _heliMedevac distance _LandposExt < 250};
		createVehicle ["SmokeShell", _LandposExt,[], 0,"NONE"];

		waitUntil {isTouchingGround _heliMedevac};
		orderGoMedObj = 1;
		publicVariable "orderGoMedObj";
		sleep 0.2;

		waitUntil {orderGoMedObj == 0};

		reverse _MkrIntMedArray;
		for "_i" from 1 to _MkrIntMedArrayCount do
			{
				_wpMback = _heliGrpMed addWaypoint [_MkrIntMedArray select _i, 0];
				_wpMback setWaypointType "MOVE";
				_wpMback setWaypointBehaviour "CARELESS";
				_wpMback setWaypointCombatMode "GREEN";
				_wpMback setWaypointSpeed "NORMAL";
			};
		_wpMback setWaypointStatements ["true", "(vehicle this) land 'LAND'"];
				
		waitUntil {(getPosATL _heliMedevac) select 2 > 20};
		sleep 10;
				
		_imgmessMd = "<img size='5' image= 'EGX_system\img\Medevac_icon\medevac.jpg' align='center'/><br/><br/>";
		_txtMd1 = format["<t font='TahomaB' t size='1.25' t color='#FF0000'>Message for the injured players on board the Medevac:<br/></t>"];
		_txtMd2 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>ONCE HEALED STAY ON BOARD, DO NOT GET OUT!<br/></t>"];
		_txtMd3 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>You will be automatically transported back to operational area.<br/></t>"];
		[parseText (_imgmessMd + _txtMd1 + _txtMd2 + _txtMd3)] remoteExec ["hint",0,false];
				
		waitUntil {isTouchingGround _heliMedevac};
		{[objNull, _x] call ace_medical_treatment_fnc_fullHeal} forEach (crew _heliMedevac);
		reverse _MkrIntMedArray;
		for "_i" from 1 to _MkrIntMedArrayCount do
			{
				_wpM2 = _heliGrpMed addWaypoint [_MkrIntMedArray select _i, 0];
				_wpM2 setWaypointType "MOVE";
				_wpM2 setWaypointBehaviour "CARELESS";
				_wpM2 setWaypointCombatMode "GREEN";
				_wpM2 setWaypointSpeed "NORMAL";
			};
		_wpM2 setWaypointStatements ["true", "(vehicle this) land 'LAND'"];
				
		waitUntil {(getPosATL _heliMedevac) select 2 > 20};
		waitUntil {isTouchingGround _heliMedevac};
		{if (vehicle _x == _heliMedevac) then {moveOut _x};} forEach allPlayers;
		waitUntil {{!(vehicle _x == _heliMedevac);} forEach allPlayers};

		reverse _MkrIntMedArray;
		for "_i" from 1 to _MkrIntMedArrayCount do
			{
				_wpEnd = _heliGrpMed addWaypoint [_MkrIntMedArray select _i, 0];
				_wpEnd setWaypointType "MOVE";
				_wpEnd setWaypointBehaviour "CARELESS";
				_wpEnd setWaypointCombatMode "GREEN";
				_wpEnd setWaypointSpeed "NORMAL";
			};
		_wpEnd setWaypointStatements ["true", "trasp_med = vehicle leader this; { deleteVehicle _x } forEach crew trasp_med + [trasp_med]"];
				
		deleteMarkerLocal "ExtrPositionMark";
		for "_i" from 0 to (_numWypInt-1) do {deleteMarkerLocal (_MkrIntNameArray select _i);};	
		deleteVehicle _heliPadMed;
		deleteVehicle _heliPadMedPoint;
		
		if !(_forceLand) then {deleteMarkerLocal "SafeLZMd";};
		
		waitUntil {!alive _heliMedevac};
		hint "Call of a new Medevac ready!";	
		
};