/*
	EGX system - by Enigx
	
	ShowTextPlayers.sqf

*/

[] spawn {

    private _dialogValues = ["Show message to players",[
        ["COMBOBOX","Icon associated with the message",[
        "None",
        "Generic communication",
        "Assign a objective",
        "Objective completed",
        "Objective failed",
        "Exclamation point",
        "Question mark",
        "High frequency radio communication",
        "Toxic hazard symbol",
        "Antigas mask",
        "Minefield",
        "Red card",
        "Target VIP",
        "VIP eliminated",
        "Target aircraft",
        "Target vehicle",
        "Target communication antenna",
        "Target destroyed",
        "Skull",
        "Top secret documents",
        "Laptop"
        ],0],
        ["EDITBOX","Line 1 of the message",[],""],
        ["EDITBOX","Line 2 of the message",[],""],
        ["EDITBOX","Line 3 of the message",[],""],
        ["CHECKBOX","Include sender (your name)",[],false]
    ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_icoMess","_textToshow1","_textToshow2","_textToshow3","_mittente"];
    
	private ["_imgmess","_txt0"];

		switch (_icoMess) do {
    		case 0: { _imgmess = ""; };
    		case 1: { _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex1.jpg' align='center'/><br/><br/>"; };
    		case 2: { _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex2.jpg' align='center'/><br/><br/>"; };
    		case 3: { _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex3.jpg' align='center'/><br/><br/>"; };
    		case 4: { _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex4.jpg' align='center'/><br/><br/>"; };
    		case 5: { _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex5.jpg' align='center'/><br/><br/>"; };
    		case 6: { _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex6.jpg' align='center'/><br/><br/>"; };
    		case 7: { _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex7.jpg' align='center'/><br/><br/>"; };
    		case 8: { _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex8.jpg' align='center'/><br/><br/>"; };
    		case 9: { _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex9.jpg' align='center'/><br/><br/>"; };
    		case 10:{ _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex10.jpg' align='center'/><br/><br/>";};
    		case 11:{ _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex11.jpg' align='center'/><br/><br/>";};
    		case 12:{ _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex12.jpg' align='center'/><br/><br/>";};
			case 13:{ _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex13.jpg' align='center'/><br/><br/>";};
			case 14:{ _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex15.jpg' align='center'/><br/><br/>";};
			case 15:{ _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex16.jpg' align='center'/><br/><br/>";};
			case 16:{ _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex17.jpg' align='center'/><br/><br/>";};
			case 17:{ _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex18.jpg' align='center'/><br/><br/>";};
			case 18:{ _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex19.jpg' align='center'/><br/><br/>";};
			case 19:{ _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex20.jpg' align='center'/><br/><br/>";};
			case 20:{ _imgmess = "<img size='5' image= 'EGX_system\img\Text\imgtex21.jpg' align='center'/><br/><br/>";};
		};

		if _mittente then {
			_txt0 = format["<t font='TahomaB' t size='1.15' t color='#FF0000'>Message sent by %1<br/></t>", name player];
		} else {
			_txt0 = "";
		};		
			
		_txt1 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>%1<br/></t>", _textToshow1];
		_txt2 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>%1<br/></t>", _textToshow2];
		_txt3 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>%1<br/></t>", _textToshow3];
		[parseText (_imgmess + _txt0 + _txt1 + _txt2 +_txt3)] remoteExec ["hint",0,false];
		["beepText"] remoteExec ["playsound",0,false];

};	
