/*
	EGX system - by Enigx
	
	Spawn_BoxVA.sqf

*/

[] spawn {

    private _dialogValues = ["Spawn Virtual Arsenal box",[
        
        ["COMBOBOX","Choose where to create the box",["In a clickable point on the map","X meters in front of you"],0],
        ["SLIDER","Meters X (if selected)",[5,50,0],10]
    ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_BoxPosVA","_XdirBoxVA"];

	null = [20,1] execVM "EGX_system\functions\MarkPlayersPosition.sqf"; // Display players position for 20 seconds with refresh every 1 second ====== MODIFY OR DELETE IF NECESSARY

	switch (_BoxPosVA) do {
   	case 0: {
			createMarkerLocal ["SpawnBoxVA",[0,0,0]];
			"SpawnBoxVA" setMarkerTypeLocal "hd_objective";
			sleep 0.1;
			openMap true;
			mapclick = true;
			hint "Click on the point on the map where to place the VA box";
			onMapSingleClick """SpawnBoxVA"" setMarkerPosLocal _pos;mapclick = false;
			onMapSingleClick ''; true;";
			waitUntil {!mapClick};
			sleep 1;
			openMap false;
			posBoxtoPlaceVA = getMarkerPos "SpawnBoxVA";
   		};
   		
		case 1: { 
			posBoxtoPlaceVA = player getRelPos [_XdirBoxVA, 0];
			};
	};
	
	boxVA = createVehicle ["I_supplyCrate_F", posBoxtoPlaceVA];
	[boxVA,"ACT_fnc_addVASAction",nil,true] spawn BIS_fnc_MP;
	
	if (_BoxPosVA == 0) then {deleteMarkerLocal "SpawnBoxVA"};
	hint "Virtual Arsenal box ready in desired position";
	
};