/*
	EGX system - by Enigx
	
	Spawn_Static.sqf
	
*/

[] spawn {
		private ["_StcClass"];
	
		// *********** USER PARAMETERS **********
		_StcClass = "O_HMG_01_high_F"; 		// Static turret Vanilla		====== MODIFY IF NEEDED
		// ***********

    private _dialogValues = ["Static turret caliber 50",[
        ["COMBOBOX","Choose the enemy faction to use",[
        	FazioneUser1,
        	"CSAT Vanilla",
        	"Islamic State - Project OPFOR",
        	"Middle Eastern Militia - Project OPFOR",
        	"Russian Federation RHS-AFR",
        	"Russian Federation CUP",
        	"African Militia - Project OPFOR",
        	"Vietcong - Unsung",
        	"CUP Takistan Militia",
        	"CUP Takistan Army",
			"Boko Haram - Project OPFOR",
        	FazioneUser12
        	],0],
        	["CHECKBOX","The selected faction is Independent",[],false]
    ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_factstc","_sideInd"];
   
    private ["_sidefact"]; 

		if _sideInd then {_sidefact = independent;} else {_sidefact = east};
        
   txtFacStc = "";
	
		switch (_factstc) do {
				case 0: { txtFacStc = FazioneUser1;};
				case 1: { txtFacStc = "CSAT Vanilla";};
				case 2: { txtFacStc = "Islamic State - Project OPFOR";};
				case 3: { txtFacStc = "Middle Eastern Militia - Project OPFOR";};
				case 4: { txtFacStc = "Russian Federation RHS-AFR";};
				case 5: { txtFacStc = "Russian Federation CUP";};
				case 6: { txtFacStc = "African Militia - Project OPFOR";};
				case 7: { txtFacStc = "Vietcong - Unsung";};
				case 8: { txtFacStc = "CUP Takistan Militia";};
				case 9: { txtFacStc = "CUP Takistan Army";};
				case 10: { txtFacStc = "Boko Haram - Project OPFOR";};
				case 11: { txtFacStc = FazioneUser12;};
		};

		if (!(isClass (configFile >> "cfgVehicles" >> (((ListEnemyUnit # _factstc) # 0) # 0)))) exitWith 
		{hint format["The mod of the chosen faction has not been loaded.\nMod related to the faction %1",txtFacStc];};
		
		null = [20,1] execVM "EGX_system\functions\MarkPlayersPosition.sqf"; // Display players position for 20 seconds with refresh every 1 second ====== MODIFY OR DELETE IF NECESSARY		

		createMarkerLocal ["SpawnStc",[0,0,0]];			
		createMarkerLocal ["Direct",[0,0,0]];

		sleep 0.1;
		openMap true;
		mapclick = true;
		hint "Click on the position to create the statica";
		onMapSingleClick """SpawnStc"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		"SpawnStc" setMarkerTypeLocal "hd_objective";
		"SpawnStc" setMarkerColorLocal "ColorRed";
		sleep 0.2;

		mapclick = true;
		hint "Click on the orientation point of the static (direction in which it looks)";
		onMapSingleClick """Direct"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};		
		"Direct" setMarkerTypeLocal "hd_arrow";
		"Direct" setMarkerColorLocal "ColorRed";

		_objPosStc = "Land_PenBlack_F" createVehicle getMarkerPos "SpawnStc";
		_objDir = "Land_PenBlack_F" createVehicle getMarkerPos "Direct";
		_gradiDir = _objPosStc getDir _objDir;
		"Direct" setMarkerDirLocal _gradiDir;
		deleteVehicle _objPosStc;
		deleteVehicle _objDir;
						
		sleep 1;
		openMap false;
								
		_stcEnem = createVehicle [_StcClass, getMarkerPos "SpawnStc",[], 0,"FORM"];
		_stcEnem setDir _gradiDir;	
		_grpStc = createGroup [_sidefact, true];
		_Unstc = _grpStc createUnit [((ListEnemyUnit # _factstc) # 0) # 0, getMarkerPos "SpawnStc", [], 0, "FORM"];
		[_Unstc] join _grpStc;
		_Unstc moveingunner _stcEnem;
				
		hint format["Static created at the selected position"];
		
		sleep 0.5;

		deleteMarkerLocal "SpawnStc";
		deleteMarkerLocal "Direct";
		
};