/*	
	EGX System - by Enigx

	LoadoutPanel.hpp	
	
	Graphic interface for the player's Loadout Panel
	
*/

//----- Loadout Panel Screen ----------------------------------------------------------------------------------------------------------------------

class home
{
	idd = 1001;
	name = "home";

	class controlsBackground 
	{

		class home_screen: RscPicture
		{
			idc = 1201;
			text = "EGX_System\img\LoadoutPanel.paa";
			x = 0.0 * safezoneW + safezoneX;
			y = 0.144 * safezoneH + safezoneY;
			w = 0.27 * SafeZoneW;
			h = 0.714 * SafeZoneH;
		};
		
		class loadout_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\Loadout_icon\takeLoadout.jpg";
			x = SafeZoneX + 0.098 * SafeZoneW;
			y = "SafeZoneY + (272.166666666667 / 1080) * SafeZoneH";
			w = 0.08 * SafeZoneW;
			h = "(104 / 1080) * SafeZoneH";
		};
		
		class button_loadout: HiddenButton
		{
			idc = 1601;
			text = "";  
			x = SafeZoneX + 0.098 * SafeZoneW;
			y = "SafeZoneY + (272.166666666667 / 1080) * SafeZoneH";
			w = 0.08 * SafeZoneW;
			h = "(104 / 1080) * SafeZoneH";
			tooltip = """Loadouts""";  
			action = "closeDialog 1001; createDialog 'loadout';";
		};

		class radioSet_icon: RscPicture
		{
			idc = 1203;
			text = "EGX_System\img\Loadout_icon\setRadio.jpg";
			x = SafeZoneX + 0.098 * SafeZoneW;
			y = SafeZoneY + 0.58 * SafeZoneH;
			w = 0.068 * SafeZoneW;
			h = 0.10 * SafeZoneH;
		};
		
		class button_set_radio: HiddenButton
		{
			idc = 1602;
			text = "";  
			x = SafeZoneX + 0.098 * SafeZoneW;
			y = SafeZoneY + 0.58 * SafeZoneH;
			w = 0.068 * SafeZoneW;
			h = 0.10 * SafeZoneH;
			tooltip = """Set Radio""";  
			action = "closeDialog 1001; createDialog 'radio';";
		};

		class button_Exit: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = SafeZoneX + 0.0285 * SafeZoneW;			
			y = SafeZoneY + 0.805 * SafeZoneH;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 1001;";
		};
		
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = SafeZoneX + 0.051 * SafeZoneW;			
			y = SafeZoneY + 0.77 * SafeZoneH;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and Exit";
			action = "closeDialog 1001;";
		};

				
		class KeyPad_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\admin.jpg";
			x = 0.205 * safezoneW + safezoneX;
			y = 0.715 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.042 * safezoneH;
		};
		
		class button_KeyPad: HiddenButton
		{
			idc = 1601;
			x = 0.205 * safezoneW + safezoneX;
			y = 0.715 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.042 * safezoneH;
			tooltip = "Request the use of the adminPanel";  
			action = "closeDialog 1001; createDialog 'AF_KeyPad';";
		};
		
		class KeyPad_abil2_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\abilit.jpg";
			x = 0.17 * safezoneW + safezoneX;
			y = 0.715 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.042 * safezoneH;
		};
		
		class button_KeyPad_abil2: HiddenButton
		{
			idc = 1601;
			x = 0.17 * safezoneW + safezoneX;
			y = 0.715 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.042 * safezoneH;
			tooltip = "Request special skills";  
			action = "closeDialog 1001; createDialog 'AF_KeyPadAbil';";
		};
		
	};
};

class loadout
{
	idd = 1002;
	name = "loadout";

	class controlsBackground 
	{

		class loadout_screen: RscPicture
		{
			idc = 1205;
			text = "EGX_System\img\LoadoutPanel.paa";
			x = 0.0 * safezoneW + safezoneX;
			y = 0.144 * safezoneH + safezoneY;
			w = 0.27 * SafeZoneW;
			h = 0.714 * SafeZoneH;
		};
		
// ============== LOADOUT ICONS AND BUTTONS ================================================	
		
		// Squad Leader
		class SL_icon: RscPicture
		{
			idc = 1206;
			text = "EGX_System\img\Loadout_icon\SL.jpg";
			x = "SafeZoneX + (83.833333333333 / 1920) * SafeZoneW";
			y = SafeZoneY + 0.23 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
		};
		
		class button_SL: HiddenButton
		{
			idc = 1604;
			text = "";  
			x = "SafeZoneX + (83.833333333333 / 1920) * SafeZoneW";
			y = SafeZoneY + 0.23 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
			tooltip = """Squad Leader""";  
			action = "execVM 'EGX_System\loadout\squadleader.sqf'; hint parsetext format[""<t font='TahomaB' t size='1.25' t color='#00FF00'>You have loaded the loadout of Squad Leader</t>""];";
			
		};
		
		// Team Leader
		class TL_icon: RscPicture
		{
			idc = 1207;
			text = "EGX_System\img\Loadout_icon\TL.jpg";
			x = "SafeZoneX + (219.000000000001 / 1920) * SafeZoneW";
			y = SafeZoneY + 0.23 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
		};
		
		class button_TL: HiddenButton
		{
			idc = 1605;
			text = "";  
			x = "SafeZoneX + (219.000000000001 / 1920) * SafeZoneW";
			y = SafeZoneY + 0.23 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
			tooltip = """Team Leader""";  
			action = "execVM 'EGX_System\loadout\teamleader.sqf'; hint parsetext format[""<t font='TahomaB' t size='1.25' t color='#00FF00'>You have loaded the loadout of Team Leader</t>""];";
		};
		
		// Granadier
		class GL_icon: RscPicture
		{
			idc = 1208;
			text = "EGX_System\img\Loadout_icon\GL.jpg";
			x = "SafeZoneX + (354.000000000001 / 1920) * SafeZoneW";
			y = SafeZoneY + 0.23 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
		};
		
		class button_GL: HiddenButton
		{
			idc = 1606;
			text = "";  
			x = "SafeZoneX + (354.000000000001 / 1920) * SafeZoneW";
			y = SafeZoneY + 0.23 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
			tooltip = """Granadier""";  
			action = "execVM 'EGX_System\loadout\granadier.sqf'; hint parsetext format[""<t font='TahomaB' t size='1.25' t color='#00FF00'>You have loaded the loadout of Granadier</t>""];";
		};
		
		// Machine Gunner
		class MG_icon: RscPicture
		{
			idc = 1209;
			text = "EGX_System\img\Loadout_icon\MG.jpg";
			x = "SafeZoneX + (83.833333333333 / 1920) * SafeZoneW";
			y = "SafeZoneY + (381.04 / 1080) * SafeZoneH";
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
		};
		
		class button_mg: HiddenButton
		{
			idc = 1607;
			text = "";  
			x = "SafeZoneX + (83.833333333333 / 1920) * SafeZoneW";
			y = "SafeZoneY + (381.04 / 1080) * SafeZoneH";
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
			tooltip = """Machine Gunner""";  
			action = "execVM 'EGX_System\loadout\machineGunner.sqf'; hint parsetext format[""<t font='TahomaB' t size='1.25' t color='#00FF00'>You have loaded the loadout of Machine Gunner</t>""];";
		};
		
		// Rifleman
		class RM_icon: RscPicture
		{
			idc = 1210;
			text = "EGX_System\img\Loadout_icon\RM.jpg";
			x = "SafeZoneX + (220.000000000001 / 1920) * SafeZoneW";
			y = "SafeZoneY + (381.04 / 1080) * SafeZoneH";
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
		};
		
		class button_RM: HiddenButton
		{
			idc = 1608;
			text = "";  
			x = "SafeZoneX + (220.000000000001 / 1920) * SafeZoneW";
			y = "SafeZoneY + (381.04 / 1080) * SafeZoneH";
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
			tooltip = """Rifleman RM""";  
			action = "execVM 'EGX_System\loadout\rifleman.sqf'; hint parsetext format[""<t font='TahomaB' t size='1.25' t color='#00FF00'>You have loaded the loadout of Rifleman RM</t>""];";
		};
		
		// Rifleman AT
		class AT_icon: RscPicture
		{
			idc = 1211;
			text = "EGX_System\img\Loadout_icon\AT.jpg";
			x = "SafeZoneX + (352.999999999999 / 1920) * SafeZoneW";
			y = "SafeZoneY + (385.04 / 1080) * SafeZoneH";
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
		};
		
		class button_AT: HiddenButton
		{
			idc = 1609;
			text = "";  
			x = "SafeZoneX + (352.999999999999 / 1920) * SafeZoneW";
			y = "SafeZoneY + (385.04 / 1080) * SafeZoneH";
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
			tooltip = """Rifleman AT""";  
			action = "execVM 'EGX_System\loadout\riflemanAT.sqf'; hint parsetext format[""<t font='TahomaB' t size='1.25' t color='#00FF00'>You have loaded the loadout of Rifleman AT</t>""];";
		};
		
		// Medic
		class MD_icon: RscPicture
		{
			idc = 1214;
			text = "EGX_System\img\Loadout_icon\MD.jpg";
			x = "SafeZoneX + (86.0000000000001 / 1920) * SafeZoneW";
			y = "SafeZoneY + (538.04 / 1080) * SafeZoneH";
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
		};
		
		class button_MD: HiddenButton
		{
			idc = 1610;
			text = "";  
			x = "SafeZoneX + (86.0000000000001 / 1920) * SafeZoneW";
			y = "SafeZoneY + (538.04 / 1080) * SafeZoneH";
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
			tooltip = """Medic""";  
			action = "player call MED_fnc_addMedicMenu; execVM 'EGX_System\loadout\medic.sqf'; hint parsetext format[""<t font='TahomaB' t size='1.25' t color='#00FF00'>You have loaded the loadout of Medic</t>""];";
		};
		
		// Explosives Specialist
		class SPECES_icon: RscPicture
		{
			idc = 1216;
			text = "EGX_System\img\Loadout_icon\SPECES.jpg";
			x = "SafeZoneX + (223.000000000001 / 1920) * SafeZoneW";
			y = "SafeZoneY + (534.04 / 1080) * SafeZoneH";
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
		};
		
		class button_SPECES: HiddenButton
		{
			idc = 1611;
			text = "";  
			x = "SafeZoneX + (223.000000000001 / 1920) * SafeZoneW";
			y = "SafeZoneY + (534.04 / 1080) * SafeZoneH";
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
			tooltip = """Explosives Specialist""";  
			action = "execVM 'EGX_System\loadout\spec_explosives.sqf'; hint parsetext format[""<t font='TahomaB' t size='1.25' t color='#00FF00'>You have loaded the loadout of Explosives Specialist</t>""];";
		};
		
		// marksman
		class MK_icon: RscPicture
		{
			idc = 1217;
			text = "EGX_System\img\Loadout_icon\MK.jpg";
			x = "SafeZoneX + (355.999999999999 / 1920) * SafeZoneW";
			y = "SafeZoneY + (534.04 / 1080) * SafeZoneH";
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
		};
		
		class button_MK: HiddenButton
		{
			idc = 1612;
			text = "";  
			x = "SafeZoneX + (355.999999999999 / 1920) * SafeZoneW";
			y = "SafeZoneY + (534.04 / 1080) * SafeZoneH";
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
			tooltip = """Marksman""";  
			action = "execVM 'EGX_System\loadout\marksman.sqf'; hint parsetext format[""<t font='TahomaB' t size='1.25' t color='#00FF00'>You have loaded the loadout of Marksman</t>""];";
		};

		
		// Ammo Carrier
		class ammobearer_icon: RscPicture
		{
			idc = 1214;
			text = "EGX_System\img\Loadout_icon\AmmoCarrier.jpg";
			x = "SafeZoneX + (86.0000000000001 / 1920) * SafeZoneW";
			y = SafeZoneY + 0.64 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
		};
		
		class button_ammobearer: HiddenButton
		{
			idc = 1610;
			text = "";  
			x = "SafeZoneX + (86.0000000000001 / 1920) * SafeZoneW";
			y = SafeZoneY + 0.64 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
			tooltip = """Ammo Carrier""";  
			action = "execVM 'EGX_System\loadout\ammoCarrier.sqf'; hint parsetext format[""<t font='TahomaB' t size='1.25' t color='#00FF00'>You have loaded the loadout of Ammo Carrier</t>""];";
		};
		
		// sniper
		class fuc_sup_icon: RscPicture
		{
			idc = 1216;
			text = "EGX_System\img\Loadout_icon\sniper.jpg";
			x = "SafeZoneX + (223.000000000001 / 1920) * SafeZoneW";
			y = SafeZoneY + 0.64 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
		};
		
		class button_fuc_sup: HiddenButton
		{
			idc = 1611;
			text = "";  
			x = "SafeZoneX + (223.000000000001 / 1920) * SafeZoneW";
			y = SafeZoneY + 0.64 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
			tooltip = """Sniper""";  
			action = "execVM 'EGX_System\loadout\sniper.sqf'; hint parsetext format[""<t font='TahomaB' t size='1.25' t color='#00FF00'>You have loaded the loadout of Sniper</t>""];";
		};
		
		
/*		******************
		// Additional loadout - section. CHANGE NAME (YOUR ADDITIONAL LOADOUT NAME) WITH YOURS !!!
		class AddLoadout_icon: RscPicture
		{
			idc = 1217;
			text = "EGX_System\img\Loadout_icon\AddLoadout.jpg";
			x = "SafeZoneX + (355.999999999999 / 1920) * SafeZoneW";
			y = SafeZoneY + 0.64 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
		};
		
		class button_AddLoadout: HiddenButton
		{
			idc = 1612;
			text = "";  
			x = "SafeZoneX + (355.999999999999 / 1920) * SafeZoneW";
			y = SafeZoneY + 0.64 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
			tooltip = """YOUR ADDITIONAL LOADOUT NAME""";  
			action = "execVM 'EGX_System\loadout\Additional_Loadout.sqf'; hint parsetext format[""<t font='TahomaB' t size='1.25' t color='#00FF00'>You have loaded the loadout of YOUR ADDITIONAL LOADOUT NAME</t>""];";
		};
*/	
	
//================================================			
		

		class button_Exit: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = SafeZoneX + 0.0285 * SafeZoneW;			
			y = SafeZoneY + 0.805 * SafeZoneH;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 1001;";
		};
		
		class home_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = SafeZoneX + 0.051 * SafeZoneW;			
			y = SafeZoneY + 0.805 * SafeZoneH;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home_button: HiddenButton
		{
			idc = 1620;
			x = SafeZoneX + 0.051 * SafeZoneW;			
			y = SafeZoneY + 0.805 * SafeZoneH;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back"; 
			action = "closeDialog 1002; createDialog 'home';";
		};		
	
		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = SafeZoneX + 0.028 * SafeZoneW;			
			y = SafeZoneY + 0.77 * SafeZoneH;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = SafeZoneX + 0.028 * SafeZoneW;			
			y = SafeZoneY + 0.77 * SafeZoneH;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home"; 
			action = "closeDialog 1002; createDialog 'home';";
		};
		
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = SafeZoneX + 0.051 * SafeZoneW;			
			y = SafeZoneY + 0.77 * SafeZoneH;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and Exit";
			action = "closeDialog 1001;";
		};		
		
	};
};	


//----- Radio Screen --------------------------------------------------------------------------------------------------------------------------------------

class radio
{
	idd = 1003;
	name = "radio";

	class controlsBackground 
	{
		class radio_screen: RscPicture
		{
			idc = 1224;
			text = "EGX_System\img\LoadoutPanel.paa";
			x = 0.0 * safezoneW + safezoneX;
			y = 0.144 * safezoneH + safezoneY;
			w = 0.27 * SafeZoneW;
			h = 0.714 * SafeZoneH;
		};

		class sw_range_icon: RscPicture
		{
			idc = 1225;
			text = "EGX_System\img\Loadout_icon\cortoRaggio.jpg";
			x = "SafeZoneX + (239.833333333333 / 1920) * SafeZoneW";
			y = "SafeZoneY + (252.5 / 1080) * SafeZoneH";
			w = "(56.0000000000001 / 1920) * SafeZoneW";
			h = "(152 / 1080) * SafeZoneH";
		};
		
		class button_sw_radio: HiddenButton
		{
			idc = 1623;
			text = "";  
			x = "SafeZoneX + (239.833333333333 / 1920) * SafeZoneW";
			y = "SafeZoneY + (252.5 / 1080) * SafeZoneH";
			w = "(56.0000000000001 / 1920) * SafeZoneW";
			h = "(152 / 1080) * SafeZoneH";
			tooltip = """Set Short Range frequencies""";  
			action = "execVM 'EGX_system\loadout\Radio_Short_Range.sqf';";
		};

		class lr_range_icon: RscPicture
		{
			idc = 1226;
			text = "EGX_System\img\Loadout_icon\lungoRaggio.jpg";
			x = "SafeZoneX + (191.5 / 1920) * SafeZoneW";
			y = "SafeZoneY + (631.166666666667 / 1080) * SafeZoneH";
			w = "(136.000000000001 / 1920) * SafeZoneW";
			h = "(104 / 1080) * SafeZoneH";
		};
		
		class button_lr_radio: HiddenButton
		{
			idc = 1623;
			text = "";  
			x = "SafeZoneX + (191.5 / 1920) * SafeZoneW";
			y = "SafeZoneY + (631.166666666667 / 1080) * SafeZoneH";
			w = "(136.000000000001 / 1920) * SafeZoneW";
			h = "(104 / 1080) * SafeZoneH";
			tooltip = """Set Long Range frequencies""";  
			action = "execVM 'EGX_system\loadout\Radio_Long_Range.sqf';";
		};
		
		class button_Exit: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = SafeZoneX + 0.0285 * SafeZoneW;			
			y = SafeZoneY + 0.805 * SafeZoneH;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 1003;";
		};

		class home_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = SafeZoneX + 0.051 * SafeZoneW;			
			y = SafeZoneY + 0.805 * SafeZoneH;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home_button: HiddenButton
		{
			idc = 1620;
			x = SafeZoneX + 0.051 * SafeZoneW;			
			y = SafeZoneY + 0.805 * SafeZoneH;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back";
			action = "closeDialog 1003; createDialog 'home';";
		};
	
		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = SafeZoneX + 0.028 * SafeZoneW;			
			y = SafeZoneY + 0.77 * SafeZoneH;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = SafeZoneX + 0.028 * SafeZoneW;			
			y = SafeZoneY + 0.77 * SafeZoneH;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home";
			action = "closeDialog 1003; createDialog 'home';";
		};	
		
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = SafeZoneX + 0.051 * SafeZoneW;			
			y = SafeZoneY + 0.77 * SafeZoneH;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and Exit";
			action = "closeDialog 1003;";
		};	
		
	};
};


//----- Speciali skills --------------------------------------------------------------------------------------------------------------------------------------

class abilitazioni
{
	idd = 3001;
	name = "radio";

	class controlsBackground 
	{
		class abilitazioni_screen: RscPicture
		{
			idc = 1224;
			text = "EGX_System\img\LoadoutPanel.paa";
			x = 0.0 * safezoneW + safezoneX;
			y = 0.144 * safezoneH + safezoneY;
			w = 0.27 * SafeZoneW;
			h = 0.714 * SafeZoneH;
		};
		
		class medic_abil_icon: RscPicture
		{
			idc = 1225;
			text = "EGX_System\img\Loadout_icon\medic_ico.jpg";
			x = SafeZoneX + 0.11 * SafeZoneW;
			y = SafeZoneY + 0.25 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
		};
		
		class button_medic_abil: HiddenButton
		{
			idc = 1623;
			text = "";  
			x = SafeZoneX + 0.11 * SafeZoneW;
			y = SafeZoneY + 0.25 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
			tooltip = """Get Medic skill""";  
			action = "execVM 'EGX_system\functions\AssignMedic.sqf';";
		};
		
		class speces_abil_icon: RscPicture
		{
			idc = 1226;
			text = "EGX_System\img\Loadout_icon\specesp_ico.jpg";
			x = SafeZoneX + 0.11 * SafeZoneW;
			y = SafeZoneY + 0.38 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
		};
		
		class button_speces_abil: HiddenButton
		{
			idc = 1623;
			text = "";  
			x = SafeZoneX + 0.11 * SafeZoneW;
			y = SafeZoneY + 0.38 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
			tooltip = """Get Exploxive Specialist skill""";  
			action = "execVM 'EGX_system\functions\AssignSpecEsp.sqf';";
		};

		class eng_abil_icon: RscPicture
		{
			idc = 1226;
			text = "EGX_System\img\Loadout_icon\engineer_ico.jpg";
			x = SafeZoneX + 0.11 * SafeZoneW;
			y = SafeZoneY + 0.51 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
		};
		
		class button_eng_abil: HiddenButton
		{
			idc = 1623;
			text = "";  
			x = SafeZoneX + 0.11 * SafeZoneW;
			y = SafeZoneY + 0.51 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
			tooltip = """Get Engineer skill""";  
			action = "execVM 'EGX_system\functions\AssignEngineer.sqf';";
		};
		
		class No_abil_icon: RscPicture
		{
			idc = 1226;
			text = "EGX_System\img\Loadout_icon\NoAbil.jpg";
			x = SafeZoneX + 0.11 * SafeZoneW;
			y = SafeZoneY + 0.64 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
		};
		
		class button_No_abil: HiddenButton
		{
			idc = 1623;
			text = "";  
			x = SafeZoneX + 0.11 * SafeZoneW;
			y = SafeZoneY + 0.64 * SafeZoneH;
			w = 0.045 * SafeZoneW;
			h = 0.07 * SafeZoneH;
			tooltip = """Remove all skills""";  
			action = "execVM 'EGX_system\functions\AssignNoAbil.sqf';";
		};
		
		class button_Exit: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = SafeZoneX + 0.0285 * SafeZoneW;			
			y = SafeZoneY + 0.805 * SafeZoneH;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 3001;";
		};
		
		class home_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = SafeZoneX + 0.051 * SafeZoneW;			
			y = SafeZoneY + 0.805 * SafeZoneH;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home_button: HiddenButton
		{
			idc = 1620;
			x = SafeZoneX + 0.051 * SafeZoneW;			
			y = SafeZoneY + 0.805 * SafeZoneH;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back";  
			action = "closeDialog 3001; createDialog 'home';";
		};

		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = SafeZoneX + 0.028 * SafeZoneW;			
			y = SafeZoneY + 0.77 * SafeZoneH;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = SafeZoneX + 0.028 * SafeZoneW;			
			y = SafeZoneY + 0.77 * SafeZoneH;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home";  
			action = "closeDialog 3001; createDialog 'home';";
		};
			
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = SafeZoneX + 0.051 * SafeZoneW;			
			y = SafeZoneY + 0.77 * SafeZoneH;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and Exit";
			action = "closeDialog 3001;";
		};
		
	};
};