/*
	EGX System - by Enigx
	
	MedicMenu.hpp
	
	Management of the Medic menu
	
*/

//--------- screen 1 

class MedicMenu_1
{
	idd = 4100;
	name = "MedicMenu_1";

	class controlsBackground 
	{

		class gui_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\imgMedicMenu\displayEGXmed.paa";
			x = 0.0 * safezoneW + safezoneX;
			y = 0.566 * safezoneH + safezoneY;
			w = 0.44 * safezoneW;
			h = 0.43 * safezoneH;
		};

		class Medtitle_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\imgMedicMenu\MedMenTitle.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.64 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
			
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.38 * safezoneW + safezoneX;
			y = 0.88 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and exit";
			action = "closeDialog 4100;";
		};

		class home1_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.402 * safezoneW + safezoneX;
			y = 0.88 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home1_button: HiddenButton
		{
			idc = 1620;
			x = 0.402 * safezoneW + safezoneX;
			y = 0.88 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back"; 
			action = "closeDialog 4100; createDialog 'MedicMenu_1';";
		};
	
		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.38 * safezoneW + safezoneX;
			y = 0.913 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = 0.38 * safezoneW + safezoneX;
			y = 0.913 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home"; 
			action = "closeDialog 4100; createDialog 'MedicMenu_1';";
		};

		class button_exit2: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.402 * safezoneW + safezoneX;
			y = 0.913 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 4100;";
		};

		class backward2_button_2: HiddenButton		
		{
			idc = 1601;
			text = "";
			x = 0.395 * safezoneW + safezoneX;
			y = 0.802 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "First page";
			action = "closeDialog 4100; createDialog 'MedicMenu_1';";			
		};		

		
		class backward2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.382 * safezoneW + safezoneX;
			y = 0.825 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Previous page";
			action = "closeDialog 4100; createDialog 'MedicMenu_1';";
		};
		
		
		class forward2_button_2: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.408 * safezoneW + safezoneX;
			y = 0.827 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Next page";
			action = "closeDialog 4100; createDialog 'MedicMenu_2';";
		};
		
		
		//definisco i pulsanti per il cambio pagina
		class forward2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.395 * safezoneW + safezoneX;
			y = 0.849 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Last page";
			action = "closeDialog 4100; createDialog 'MedicMenu_3';";
		};		

		class ItemToUniform_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\imgMedicMenu\ItemToUniform.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_ItemToUniform: HiddenButton
		{
			idc = 1601;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Add to uniform";  
			action = "playsound ""click""; closeDialog 4100; createDialog 'MedicMenu_1';";
		};

		class ItemToVest_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\imgMedicMenu\ItemToVest.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_ItemToVest: HiddenButton
		{
			idc = 1601;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Add to tactical vest";  
			action = "playsound ""click""; closeDialog 4100; createDialog 'MedicMenu_2';";
		};

		class ItemToBackpack_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\imgMedicMenu\ItemToBackpack.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.84 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_ItemToBackpack: HiddenButton
		{
			idc = 1601;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.84 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Add to backpack";  
			action = "playsound ""click""; closeDialog 4100; createDialog 'MedicMenu_3';";
		};

		class verticalLine_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\imgMedicMenu\vertical-line.jpg";
			x = 0.11 * safezoneW + safezoneX;
			y = 0.64 * safezoneH + safezoneY;
			w = 0.005 * safezoneW;
			h = 0.28 * safezoneH;
		};

		class horizontalLine_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\imgMedicMenu\horizontal-line.jpg";
			x = 0.07 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.04 * safezoneW;
			h = 0.01 * safezoneH;
		};	
		
		// *****************************************************

		class aggiungi_0: RscText_admin
		{
			idc = 1000;
			text = "Compressive field dress (n°5)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.63 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi0: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.63 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi0_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.63 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add n°5 compressive field dresses";
			action = "playsound ""click""; [0,5,0] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 1
		class aggiungi_1: RscText_admin
		{
			idc = 1000;
			text = "Elastic field dress (n°5)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi1: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi1_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add n°5 elastic field dresses";
			action = "playsound ""click""; [1,5,0] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 2
		class aggiungi_2: RscText_admin
		{
			idc = 1000;
			text = "Tourniquet (n°2)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.69 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi2: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.69 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi2_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.69 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add n°2 tourniquets";
			action = "playsound ""click""; [2,2,0] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 3
		class aggiungi_3: RscText_admin
		{
			idc = 1000;
			text = "Saline 250 ml (n°1)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi3: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi3_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add saline 250 ml";
			action = "playsound ""click""; [3,1,0] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};	
		
		//definisco pulsante aggiungi 4
		class aggiungi_4: RscText_admin
		{
			idc = 1000;
			text = "Saline 500 ml (n°1)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.75 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi4: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.75 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi4_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.75 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add saline 500 ml";
			action = "playsound ""click""; [4,1,0] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 5
		class aggiungi_5: RscText_admin
		{
			idc = 1000;
			text = "Saline 1000 ml (n°1)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.78 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi5: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.78 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi5_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.78 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add saline 1000 ml";
			action = "playsound ""click""; [5,1,0] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 6
		class aggiungi_6: RscText_admin
		{
			idc = 1000;
			text = "Surgical kit (N.A.)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.81 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi6: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.81 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi6_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.81 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Surgical kit NOT selectable in the uniform";
		//	action = "playsound ""click""; [6,1,0] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		//	action = "hint ""Non selezionabile nell''uniforme."";";			
			action = "hint ""Surgical kit NOT selectable in the uniform."";";
			
		};
		
		//definisco pulsante aggiungi 7
		class aggiungi_7: RscText_admin
		{
			idc = 1000;
			text = "Adrenaline (n°2)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.84 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi7: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.84 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi7_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.84 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add 2 adrenaline";
			action = "playsound ""click""; [7,2,0] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 8
		class aggiungi_8: RscText_admin
		{
			idc = 1000;
			text = "Morphine (n°2)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.87 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi8: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.87 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi8_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.87 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add 2 morphine";
			action = "playsound ""click""; [8,2,0] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 9
		class aggiungi_9: RscText_admin
		{
			idc = 1000;
			text = "Adenosine (n°2)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.90 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi9: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.90 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi9_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.90 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add 2 adenosine";
			action = "playsound ""click""; [9,2,0] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		// *****************************************************
		
	};
};



//---------screen 2 

class MedicMenu_2
{
	idd = 4101;
	name = "MedicMenu_2";

	class controlsBackground 
	{

		class gui_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\imgMedicMenu\displayEGXmed.paa";
			x = 0.0 * safezoneW + safezoneX;
			y = 0.566 * safezoneH + safezoneY;
			w = 0.44 * safezoneW;
			h = 0.43 * safezoneH;
		};

		class Medtitle_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\imgMedicMenu\MedMenTitle.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.64 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.38 * safezoneW + safezoneX;
			y = 0.88 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and exit";
			action = "closeDialog 4101;";
		};

		class home1_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.402 * safezoneW + safezoneX;
			y = 0.88 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home1_button: HiddenButton
		{
			idc = 1620;
			x = 0.402 * safezoneW + safezoneX;
			y = 0.88 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back"; 
			action = "closeDialog 4101; createDialog 'MedicMenu_1';";
		};
	
		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.38 * safezoneW + safezoneX;
			y = 0.913 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = 0.38 * safezoneW + safezoneX;
			y = 0.913 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home"; 
			action = "closeDialog 4101; createDialog 'MedicMenu_1';";
		};

		class button_exit2: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.402 * safezoneW + safezoneX;
			y = 0.913 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 4101;";
		};

		class backward2_button_2: HiddenButton		
		{
			idc = 1601;
			text = "";
			x = 0.395 * safezoneW + safezoneX;
			y = 0.802 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "First page";
			action = "closeDialog 4101; createDialog 'MedicMenu_1';";			
		};		
		
		class backward2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.382 * safezoneW + safezoneX;
			y = 0.825 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Previous page";
			action = "closeDialog 4101; createDialog 'MedicMenu_1';";
		};		
		
		class forward2_button_2: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.408 * safezoneW + safezoneX;
			y = 0.827 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Next page";
			action = "closeDialog 4101; createDialog 'MedicMenu_3';";
		};

		class forward2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.395 * safezoneW + safezoneX;
			y = 0.849 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Last page";
			action = "closeDialog 4100; createDialog 'MedicMenu_3';";
		};		

		class ItemToUniform_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\imgMedicMenu\ItemToUniform.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_ItemToUniform: HiddenButton
		{
			idc = 1601;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Add to uniform";  
			action = "playsound ""click""; closeDialog 4101; createDialog 'MedicMenu_1';";
		};


	// definisco il pulsante della schermata tattico
		class ItemToVest_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\imgMedicMenu\ItemToVest.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_ItemToVest: HiddenButton
		{
			idc = 1601;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Add to tactical vest";  
			action = "playsound ""click""; closeDialog 4101; createDialog 'MedicMenu_2';";			
		};


	// definisco il pulsante della schermata zaino
		class ItemToBackpack_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\imgMedicMenu\ItemToBackpack.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.84 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_ItemToBackpack: HiddenButton
		{
			idc = 1601;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.84 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Add to backpack";  
			action = "playsound ""click""; closeDialog 4101; createDialog 'MedicMenu_3';";
		};

		class verticalLine_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\imgMedicMenu\vertical-line.jpg";
			x = 0.11 * safezoneW + safezoneX;
			y = 0.64 * safezoneH + safezoneY;
			w = 0.005 * safezoneW;
			h = 0.28 * safezoneH;
		};

		class horizontalLine_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\imgMedicMenu\horizontal-line.jpg";
			x = 0.07 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.04 * safezoneW;
			h = 0.01 * safezoneH;
		};	

		//*******************************************************************
		
		//definisco pulsante aggiungi 0
		class aggiungi_0: RscText_admin
		{
			idc = 1000;
			text = "Compressive field dress (n°5)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.63 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi0: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.63 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi0_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.63 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add n°5 compressive field dresses";
			action = "playsound ""click""; [0,5,1] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 1
		class aggiungi_1: RscText_admin
		{
			idc = 1000;
			text = "Elastic field dress (n°5)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi1: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi1_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add n°5 elastic field dresses";
			action = "playsound ""click""; [1,5,1] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 2
		class aggiungi_2: RscText_admin
		{
			idc = 1000;
			text = "Tourniquet (n°2)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.69 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi2: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.69 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi2_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.69 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add n°2 tourniquets";
			action = "playsound ""click""; [2,2,1] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 3
		class aggiungi_3: RscText_admin
		{
			idc = 1000;
			text = "Saline 250 ml (n°1)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi3: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi3_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add saline 250 ml";
			action = "playsound ""click""; [3,1,1] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};	
		
		//definisco pulsante aggiungi 4
		class aggiungi_4: RscText_admin
		{
			idc = 1000;
			text = "Saline 500 ml (n°1)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.75 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi4: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.75 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi4_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.75 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add saline 500 ml";
			action = "playsound ""click""; [4,1,1] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 5
		class aggiungi_5: RscText_admin
		{
			idc = 1000;
			text = "Saline 1000 ml (n°1)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.78 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi5: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.78 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi5_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.78 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add saline 1000 ml";
			action = "playsound ""click""; [5,1,1] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 6
		class aggiungi_6: RscText_admin
		{
			idc = 1000;
			text = "Surgical kit (n°1)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.81 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi6: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.81 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi6_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.81 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add surgical kit";
			action = "playsound ""click""; [6,1,1] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 7
		class aggiungi_7: RscText_admin
		{
			idc = 1000;
			text = "Adrenaline (n°2)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.84 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi7: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.84 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi7_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.84 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add 2 adrenaline";
			action = "playsound ""click""; [7,2,1] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 8
		class aggiungi_8: RscText_admin
		{
			idc = 1000;
			text = "Morphine (n°2)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.87 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi8: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.87 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi8_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.87 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add 2 morphine";
			action = "playsound ""click""; [8,2,1] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 9
		class aggiungi_9: RscText_admin
		{
			idc = 1000;
			text = "Adenosine (n°2)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.90 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi9: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.90 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi9_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.90 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add 2 adenosine";
			action = "playsound ""click""; [9,2,1] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		// *******************************************************************

	};
};

//---------screen 3 

class MedicMenu_3
{
	idd = 4102;
	name = "MedicMenu_3";

	class controlsBackground 
	{
		class gui_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\imgMedicMenu\displayEGXmed.paa";
			x = 0.0 * safezoneW + safezoneX;
			y = 0.566 * safezoneH + safezoneY;
			w = 0.44 * safezoneW;
			h = 0.43 * safezoneH;
		};

		class Medtitle_background: RscPicture
		{
			idc = 1200;
			text = "EGX_System\img\imgMedicMenu\MedMenTitle.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.64 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
			
		class OK_button: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.38 * safezoneW + safezoneX;
			y = 0.88 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Confirm and exit";
			action = "closeDialog 4102;";
		};

		class home1_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.402 * safezoneW + safezoneX;
			y = 0.88 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home1_button: HiddenButton
		{
			idc = 1620;
			x = 0.402 * safezoneW + safezoneX;
			y = 0.88 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go back"; 
			action = "closeDialog 4102; createDialog 'MedicMenu_2';";
		};
	
		class home2_icon: RscPicture
		{
			idc = 1220;
			text = "";
			x = 0.38 * safezoneW + safezoneX;
			y = 0.913 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
		};
		
		class home2_button: HiddenButton
		{
			idc = 1620;
			x = 0.38 * safezoneW + safezoneX;
			y = 0.913 * safezoneH + safezoneY;
			w = 0.018 * SafeZoneW;
			h = 0.025 * SafeZoneH";
			tooltip = "Go home"; 
			action = "closeDialog 4102; createDialog 'MedicMenu_1';";
		};

		class button_exit2: HiddenButton
		{
			idc = 1603;
			text = "";  
			x = 0.402 * safezoneW + safezoneX;
			y = 0.913 * safezoneH + safezoneY;
			w = "(40.0000000000003 / 1920) * SafeZoneW";
			h = "(40 / 1080) * SafeZoneH";
			tooltip = "Exit";
			action = "closeDialog 4102;";
		};

		class backward2_button_2: HiddenButton		
		{
			idc = 1601;
			text = "";
			x = 0.395 * safezoneW + safezoneX;
			y = 0.802 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "First page";
			action = "closeDialog 4102; createDialog 'MedicMenu_1';";			
		};		

		
		class backward2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.382 * safezoneW + safezoneX;
			y = 0.825 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Previous page";
			action = "closeDialog 4102; createDialog 'MedicMenu_2';";
		};		
		
		class forward2_button_2: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.408 * safezoneW + safezoneX;
			y = 0.827 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Next page";
			action = "closeDialog 4102; createDialog 'MedicMenu_3';";
		};		

		class forward2_button: HiddenButton
		{
			idc = 1601;
			text = "";
			x = 0.395 * safezoneW + safezoneX;
			y = 0.849 * safezoneH + safezoneY;
			w = 0.01 * SafeZoneW;
			h = 0.02 * SafeZoneH;
			tooltip = "Last page";
			action = "closeDialog 4102; createDialog 'MedicMenu_3';";
		};		

		class ItemToUniform_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\imgMedicMenu\ItemToUniform.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_ItemToUniform: HiddenButton
		{
			idc = 1601;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.68 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Add to uniform";  
			action = "playsound ""click""; closeDialog 4102; createDialog 'MedicMenu_1';";
		};

		class ItemToVest_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\imgMedicMenu\ItemToVest.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_ItemToVest: HiddenButton
		{
			idc = 1601;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.76 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Add to tactical vest";  
			action = "playsound ""click""; closeDialog 4102; createDialog 'MedicMenu_2';";
		};

		class ItemToBackpack_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\imgMedicMenu\ItemToBackpack.jpg";
			x = 0.04 * safezoneW + safezoneX;
			y = 0.84 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
		};
		
		class button_ItemToBackpack: HiddenButton
		{
			idc = 1601;
			x = 0.04 * safezoneW + safezoneX;
			y = 0.84 * safezoneH + safezoneY;
			w = 0.025 * safezoneW;
			h = 0.050 * safezoneH;
			tooltip = "Add to backpack";  
			action = "playsound ""click""; closeDialog 4102; createDialog 'MedicMenu_3';";
		};

		class verticalLine_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\imgMedicMenu\vertical-line.jpg";
			x = 0.11 * safezoneW + safezoneX;
			y = 0.64 * safezoneH + safezoneY;
			w = 0.005 * safezoneW;
			h = 0.28 * safezoneH;
		};

		class horizontalLine_icon: RscPicture
		{
			idc = 1202;
			text = "EGX_System\img\imgMedicMenu\horizontal-line.jpg";
			x = 0.07 * safezoneW + safezoneX;
			y = 0.84 * safezoneH + safezoneY;
			w = 0.04 * safezoneW;
			h = 0.01 * safezoneH;
		};	
		
		// *******************************************************************
		
		//definisco pulsante aggiungi 0
		class aggiungi_0: RscText_admin
		{
			idc = 1000;
			text = "Compressive field dress (n°5)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.63 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi0: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.63 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi0_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.63 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add n°5 compressive field dresses";
			action = "playsound ""click""; [0,5,2] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 1
		class aggiungi_1: RscText_admin
		{
			idc = 1000;
			text = "Elastic field dress (n°5)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi1: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi1_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.66 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add n°5 elastic field dresses";
			action = "playsound ""click""; [1,5,2] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 2
		class aggiungi_2: RscText_admin
		{
			idc = 1000;
			text = "Tourniquet (n°2)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.69 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi2: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.69 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi2_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.69 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add n°2 tourniquets";
			action = "playsound ""click""; [2,2,2] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 3
		class aggiungi_3: RscText_admin
		{
			idc = 1000;
			text = "Saline 250 ml (n°1)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi3: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi3_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.72 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add saline 250 ml";
			action = "playsound ""click""; [3,1,2] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};	
		
		//definisco pulsante aggiungi 4
		class aggiungi_4: RscText_admin
		{
			idc = 1000;
			text = "Saline 500 ml (n°1)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.75 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi4: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.75 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi4_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.75 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add saline 500 ml";
			action = "playsound ""click""; [4,1,2] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 5
		class aggiungi_5: RscText_admin
		{
			idc = 1000;
			text = "Saline 1000 ml (n°1)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.78 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi5: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.78 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi5_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.78 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add saline 1000 ml";
			action = "playsound ""click""; [5,1,2] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 6
		class aggiungi_6: RscText_admin
		{
			idc = 1000;
			text = "Surgical kit (n°1)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.81 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi6: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.81 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi6_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.81 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add surgical kit";
			action = "playsound ""click""; [6,1,2] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 7
		class aggiungi_7: RscText_admin
		{
			idc = 1000;
			text = "Adrenaline (n°2)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.84 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi7: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.84 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi7_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.84 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add 2 adrenaline";
			action = "playsound ""click""; [7,2,2] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 8
		class aggiungi_8: RscText_admin
		{
			idc = 1000;
			text = "Morphine (n°2)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.87 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi8: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.87 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi8_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.87 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add 2 morphine";
			action = "playsound ""click""; [8,2,2] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		//definisco pulsante aggiungi 9
		class aggiungi_9: RscText_admin
		{
			idc = 1000;
			text = "Adenosine (n°2)";
			x = 0.19 * safezoneW + safezoneX;
			y = 0.90 * safezoneH + safezoneY;
			w = 0.19 * safezoneW;
			h = 0.022 * safezoneH;			
		};
	
		class button_aggiungi9: RscPicture
		{
			idc = 1601;
			text = "EGX_System\img\imgMedicMenu\aggiungi.jpg";
			x = 0.12 * safezoneW + safezoneX;
			y = 0.90 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
		};
		
		class button_aggiungi9_exe: HiddenButton
		{
			idc = 1701;
			x = 0.12 * safezoneW + safezoneX;
			y = 0.90 * safezoneH + safezoneY;
			w = 0.06 * safezoneW;
			h = 0.025 * safezoneH;
			tooltip = "Add 2 adenosine";
			action = "playsound ""click""; [9,2,2] execVM 'EGX_system\functions\Medic_menu\addMedicObj.sqf';";
		};
		
		// *****************************************************************

	};
};

