/*
	EGX System - by Enigx
	
*/

	comment "Long range radio frequencies";

// list of usable long range radios (backpacks)

// ** NOTE: IF YOU ARE USING A MOD IN PARTICULAR, PLEASE CHECK THAT THE CLASSNAMES OF THE MOD'S LONG RANGE RADIO ARE CONTAINED IN THIS ARRAY,
// OTHERWISE ADD THEM, OTHERWISE THEY WILL NOT BE SET IN THE LOADOUT PANEL.

List_Lr = [
		"tfw_ilbe_blade_alpine",
		"tfw_ilbe_blade_arid",
		"tfw_ilbe_blade_black",
		"tfw_ilbe_blade_coy",
		"tfw_ilbe_blade_gr",
		"tfw_ilbe_blade_d",
		"tfw_ilbe_blade_wd",
		"tfw_ilbe_blade_mct",
		"tfw_ilbe_blade_mc",
		"tfw_ilbe_blade_ocp",
		"tfw_ilbe_blade_wd2",
		"tfw_ilbe_DD_alpine",
		"tfw_ilbe_DD_arid",
		"tfw_ilbe_DD_black",
		"tfw_ilbe_DD_coy",
		"tfw_ilbe_DD_gr",
		"tfw_ilbe_DD_d",
		"tfw_ilbe_DD_wd",
		"tfw_ilbe_DD_mct",
		"tfw_ilbe_DD_mc",
		"tfw_ilbe_DD_ocp",
		"tfw_ilbe_DD_wd2",
		"tfw_ilbe_whip_alpine",
		"tfw_ilbe_whip_arid",
		"tfw_ilbe_whip_black",
		"tfw_ilbe_whip_coy",
		"tfw_ilbe_whip_gr",
		"tfw_ilbe_whip_d",
		"tfw_ilbe_whip_wd",
		"tfw_ilbe_whip_mct",
		"tfw_ilbe_whip_mc",
		"tfw_ilbe_whip_ocp",
		"tfw_ilbe_whip_wd2",
		"TFAR_anarc164",
		"TFAR_anarc210",
		"TFAR_anprc155",
		"TFAR_anprc155_coyote",
		"TFAR_bussole",
		"TFAR_mr3000",
		"TFAR_mr3000_bwmod",
		"TFAR_mr3000_bwmod_tropen",
		"TFAR_mr3000_multicam",
		"TFAR_mr3000_rhs",
		"TFAR_mr6000l",
		"TFAR_rt1523g",
		"TFAR_rt1523g_big",
		"TFAR_rt1523g_big_bwmod",
		"TFAR_rt1523g_big_bwmod_tropen",
		"TFAR_rt1523g_big_rhs",		
		"TFAR_rt1523g_black",
		"TFAR_rt1523g_bwmod",
		"TFAR_rt1523g_fabric",
		"TFAR_rt1523g_green",
		"TFAR_rt1523g_rhs",
		"TFAR_rt1523g_sage"
		];


// Controllo che il player abbia la lunga raggio e ne definisco le frequenze
	if (Backpack player in List_Lr)then {

	[(call TFAR_fnc_activeLrRadio), 1, "30"] call TFAR_fnc_SetChannelFrequency;
	[(call TFAR_fnc_activeLrRadio), 2, "40"] call TFAR_fnc_SetChannelFrequency;
	[(call TFAR_fnc_activeLrRadio), 3, "50"] call TFAR_fnc_SetChannelFrequency;
	[(call TFAR_fnc_activeLrRadio), 4, "60"] call TFAR_fnc_SetChannelFrequency;
	[(call TFAR_fnc_activeLrRadio), 5, "70"] call TFAR_fnc_SetChannelFrequency;
	[(call TFAR_fnc_activeLrRadio), 6, "80"] call TFAR_fnc_SetChannelFrequency;
	[(call TFAR_fnc_activeLrRadio), 7, "90"] call TFAR_fnc_SetChannelFrequency;
	[(call TFAR_fnc_activeLrRadio), 8, "91"] call TFAR_fnc_SetChannelFrequency;
	[(call TFAR_fnc_activeLrRadio), 9, "92"] call TFAR_fnc_SetChannelFrequency;
		
	hint parsetext format["<t font='TahomaB' t size='1.25' t color='#00FF00'>You have set the radio LONG RANGE frequencies<br/>CH 1 = 30<br/>CH 2 = 40<br/>CH 3 = 50<br/>CH 4 = 60<br/>CH 5 = 70<br/>CH 6 = 80<br/>CH 7 = 90<br/>CH 8 = 91<br/>CH 9 = 92</t>"];
	
	}
	else
	{
  hint parsetext format["<t font='TahomaB' t size='1.25' t color='#00FF00'>YOU HAVE NO LONG RANGE RADIO. TAKE ONE FIRST.</t>"];	
	};
	
