this = player;

// ######### Copy the loadout from the editor in the following section ###########################

comment "Remove existing items";
removeAllWeapons this;
removeAllItems this;
removeAllAssignedItems this;
removeUniform this;
removeVest this;
removeBackpack this;
removeHeadgear this;
removeGoggles this;

comment "Add weapons";
this addWeapon "rhs_weap_m4a1_m320";
this addPrimaryWeaponItem "rhsusf_acc_nt4_black";
this addPrimaryWeaponItem "rhsusf_acc_ACOG_RMR";
this addPrimaryWeaponItem "rhs_mag_30Rnd_556x45_M855A1_Stanag";

comment "Add containers";
this forceAddUniform "rhs_uniform_acu_ucp";
this addVest "rhsusf_spcs_ucp_grenadier";
this addBackpack "rhsusf_assault_eagleaiii_ucp";

comment "Add binoculars";
this addWeapon "ACE_VectorDay";

comment "Add items to containers";
for "_i" from 1 to 2 do {this addItemToUniform "ACE_epinephrine";};
for "_i" from 1 to 2 do {this addItemToUniform "ACE_morphine";};
for "_i" from 1 to 20 do {this addItemToUniform "ACE_packingBandage";};
for "_i" from 1 to 2 do {this addItemToUniform "ACE_CableTie";};
for "_i" from 1 to 4 do {this addItemToUniform "ACE_tourniquet";};
for "_i" from 1 to 2 do {this addItemToUniform "ACE_salineIV_250";};
this addItemToUniform "ACE_EarPlugs";
this addItemToUniform "ACE_MapTools";
for "_i" from 1 to 12 do {this addItemToVest "rhs_mag_30Rnd_556x45_M855A1_Stanag";};
for "_i" from 1 to 4 do {this addItemToBackpack "rhs_mag_an_m8hc";};
for "_i" from 1 to 4 do {this addItemToBackpack "rhs_mag_m67";};
for "_i" from 1 to 8 do {this addItemToBackpack "rhs_mag_M441_HE";};
for "_i" from 1 to 4 do {this addItemToBackpack "rhs_mag_M433_HEDP";};
for "_i" from 1 to 4 do {this addItemToBackpack "rhs_mag_m714_White";};
this addItemToBackpack "SmokeShellGreen";
this addItemToBackpack "SmokeShellPurple";
this addHeadgear "rhsusf_ach_helmet_ESS_ucp";
this addItemToBackpack "ACE_SpraypaintGreen";
this addItemToBackpack "ACE_SpraypaintRed";
this addItemToBackpack "ACE_SpraypaintBlue";
this addItemToBackpack "ACE_SpraypaintBlack";

comment "Add items";
this linkItem "ItemMap";
this linkItem "ItemCompass";
this linkItem "ItemWatch";
this linkItem "TFAR_anprc152";
this linkItem "rhsusf_ANPVS_14";

// ###################################################################################################

this = nil;