/*
	EGX system - by Enigx
	
	AddIntelDoc.sqf
	
*/

[] spawn {
    private _dialogValues = ["Create Intel (N.B. ONE AT A TIME)",[
        ["COMBOBOX","Intel to create",[
				"Secret documents",
				"Laptop",
				"Closed case",
				"Case with electronic instruments"
				],0],
				["CHECKBOX","Place the intel on a table",[],true],
				["EDITBOX","Message once the intel is found",[],""]
    ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_IntelMap","_tableyes","_txtintel"];
    
		IntelMapToplace = "";
		txtadInt = _txtintel;

		switch (_IntelMap) do {
				case 0: { IntelMapToplace = selectRandom ["Land_File1_F","Land_File2_F","Land_Document_01_F","Land_File_research_F"];};
				case 1: { IntelMapToplace = selectRandom ["Land_Laptop_F","Land_Laptop_unfolded_F"];};
				case 2: { IntelMapToplace = "Land_Suitcase_F";};
				case 3: { IntelMapToplace = "Land_SatellitePhone_F";};
		};

		createMarkerLocal ["PlaceIntel",[0,0,0]];
		openMap true;
		mapclick = true;
		hint "Click on the point where you want to create the intel.";
		onMapSingleClick """PlaceIntel"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 1;
		openMap false;
		"PlaceIntel" setMarkerTypeLocal "hd_objective";

		if _tableyes then {
		_table = createVehicle ["Land_CampingTable_F", getmarkerpos "PlaceIntel", [], 0, "can_collide"]; 
		oggIntel = createVehicle [IntelMapToplace, getmarkerpos "PlaceIntel", [], 0, "can_collide"]; 
		_maxZTable = boundingBoxReal _table select 1 select 2; 
		_maxZPC = boundingBoxReal oggIntel select 1 select 2;  
		oggIntel attachTo [_table, [0,0,( _maxZTable + _maxZPC ) ]];
		} else {
		oggIntel = createVehicle [IntelMapToplace, getMarkerPos "PlaceIntel"];
		};

		hint format["
					Intel created at the specified location in coordinates %1.\n 
					Marker visible for 20 sec only to you. Put an additional marker from the map if you want to show it to everyone.
					", mapGridPosition getMarkerPos "PlaceIntel"];
	
		_actionCodeIntel = {
					params ["_actionObject","_actionCaller","_actionID","_intelTarget"];
					_txtint1 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>INTEL RECOVERED<br/></t>"];
					_txtint2 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>%1<br/></t>", txtadInt];
					[parseText (_txtint1 + _txtint2)] remoteExec ["hint",0,false];
					["taskSucceeded"] remoteExec ["playsound",0,false];
					deleteVehicle _intelTarget;
				};
		
		[oggIntel, ["Recupera Intel", _actionCodeIntel, oggIntel]] remoteExec ["addAction",0,false];

		sleep 20;
		deleteMarkerLocal "PlaceIntel";
};