/*
	EGX system - by Enigx
	
	AddVipOnMap.sqf
	
*/

[] spawn {
    private _dialogValues = ["Create VIP (PUT THEM ONE BY TIME)",[
        ["COMBOBOX","Vip type",[
				"Diplomatic",
				"Generic civil",
				"Generic worker",
				"Scientist",
				"Enemy officer",
				"Unarmed Blufor soldier"
				],0],
				["CHECKBOX","The VIP is handcuffed",[],false],
				["COMBOBOX","Action to be assigned",[
				"None",
				"Kill the VIP",
				"Find VIP (ATTENTION! Put handcuffs on him)"
				],0],
				["EDITBOX","Action completed message",[],""]
    ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_viptyp","_manette","_actovip","_mesAct"];
  
		createMarkerLocal ["PlaceVip",[0,0,0]];
		openMap true;
		mapclick = true;
		hint "Click on the point where you want to spawn the VIP";
		onMapSingleClick """PlaceVip"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 1;
		openMap false;
		"PlaceVip" setMarkerTypeLocal "hd_objective";
		hint format["
			VIP created at specified location in coordinates %1.\n 
			Marker visible for 20 sec only to you. Put an additional marker from the map if you want to show it to everyone.
			", mapGridPosition getMarkerPos "PlaceVip"];	

		switch (_viptyp) do {
				case 0: { 
						grpVip = createGroup [civilian, true];
						vipMapToplace = grpVip createUnit ["C_Nikos_aged", getMarkerPos "PlaceVip", [], 0, "FORM"];
						};
				case 1: { 
						grpVip = createGroup [civilian, true];
						vipMapToplace = grpVip createUnit ["C_man_polo_1_F_euro", getMarkerPos "PlaceVip", [], 0, "FORM"];
						};
				case 2: { 
						grpVip = createGroup [civilian, true];
						vipMapToplace = grpVip createUnit ["C_man_w_worker_F", getMarkerPos "PlaceVip", [], 0, "FORM"];
						};
				case 3: { 
						grpVip = createGroup [civilian, true];
						vipMapToplace = grpVip createUnit ["C_scientist_F", getMarkerPos "PlaceVip", [], 0, "FORM"];
						};		
				case 4: { 
						grpVip = createGroup [east, true];
						vipMapToplace = grpVip createUnit ["O_officer_F", getMarkerPos "PlaceVip", [], 0, "FORM"];
						};
				case 5: { 
						grpVip = createGroup [civilian, true];
						vipMapToplace = grpVip createUnit ["B_Survivor_F", getMarkerPos "PlaceVip", [], 0, "FORM"];
						};
		};

		if _manette then { [vipMapToplace, true] call ACE_captives_fnc_setHandcuffed; };
		txtadvip = _mesAct;
		
		if (_actovip == 0) exitWith {
				hint format["VIP created at specified location in coordinates %1.\nMarker visible for 20 sec only to you. Put an additional marker from the map if you want to show it to everyone.\nNo action assiged to VIP", mapGridPosition getMarkerPos "PlaceVip"];
				sleep 20;
				deleteMarker "PlaceVip";
				};	
		
		switch (_actovip) do {
			case 1: { 
				_trg = createTrigger ["EmptyDetector", getMarkerPos "PlaceVip"];
				_trg setTriggerArea [2, 2, 0, false];
				_trg setTriggerActivation ["NONE", "PRESENT", false];
				_trg setTriggerStatements ["!alive vipMapToplace;"
				,"_imgmessVP = ""<img size='5' image= 'EGX_system\img\Text\imgtex13.jpg' align='center'/><br/><br/>"";
				_txtvp1 = format[""<t font='TahomaB' t size='1.25' t color='#00FF00'>VIP KILLED<br/></t>""];
				_txtvp2 = format[""<t font='TahomaB' t size='1.25' t color='#00FF00'>%1<br/></t>"", txtadvip];
				[parseText (_imgmessVP +_txtvp1 + _txtvp2)] remoteExec [""hint"",0,false];
				[""taskSucceeded""] remoteExec [""playsound"",0,false];",""];
			
				hint format["VIP created at specified location in coordinates %1.\n 
				Marker visible for 20 sec only to you. Put an additional marker from the map if you want to show it to everyone.\n
				Created a trigger that displays text when VIP is killed. 
				", mapGridPosition getMarkerPos "PlaceVip"];
				};
											
			case 2: { 
				_trg = createTrigger ["EmptyDetector", getMarkerPos "PlaceVip"];
				_trg setTriggerArea [5, 5, 0, false];
				_trg setTriggerActivation ["ANYPLAYER", "PRESENT", false];
				_trg setTriggerStatements ["this"
				,"_txtvp1 = format[""<t font='TahomaB' t size='1.25' t color='#00FF00'>VIP FOUND<br/></t>""];_txtvp2 = format[""<t font='TahomaB' t size='1.25' t color='#00FF00'>%1<br/></t>"", txtadvip];[parseText (_txtvp1 + _txtvp2)] remoteExec [""hint"",0,false];
				[""taskSucceeded""] remoteExec [""playsound"",0,false];",""];				
						
				hint format["VIP created at specified location in coordinates %1.\n 
				Marker visible for 20 sec only to you. Put an additional marker from the map if you want to show it to everyone.\n
				Created a trigger that displays text when at 5 meters from the VIP. 
				", mapGridPosition getMarkerPos "PlaceVip"];						
				};												
		};

		sleep 20;
		deleteMarkerLocal "PlaceVip";
};