/*
	EGX system - by Enigx
	
	AssignAbilToPlayer.sqf

*/

[] spawn {
    private _dialogValues = ["Assign skill to player",[
        ["COMBOBOX","Assign skill",["Medic","Explosive specialist","Engineer","None (remove all)"],0]
      ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_abilplr"];
    
	abilplrglobal =_abilplr;

   createDialog "RSCDisplayCommon";
		waitUntil{ !isNull ( uiNamespace getVariable[ "RscDisplayCommon", displayNull ] ) };
		_display = uiNamespace getVariable "RscDisplayCommon";
		
		_playerList = _display ctrlCreate[ "ctrlListbox", 10000 ];
		_playerList ctrlSetPosition[
				0.1 * safezoneW + safezoneX,
				0.14 * safezoneH + safezoneY,
				0.16 * safezoneW,
				0.75 * safezoneH
			 	];
		_playerList ctrlCommit 0;
		{
			_index = _playerList lbAdd name _x;
			_playerList lbSetData[ _index, _x call BIS_fnc_objectVar ];
		} forEach ( allPlayers );
		
		_playerList lbSetCurSel 0;
		
		_button = _display ctrlCreate[ "ctrlButton", 10001 ];
		_button ctrlSetPosition[
				0.27 * safezoneW + safezoneX,
				0.14 * safezoneH + safezoneY,
				0.12 * safezoneW,
				0.094 * safezoneH 
				];
		_button	ctrlCommit 0;
		_button ctrlSetText "Choose the Player and then Click here to OK, or ESC to CANCEL";
		
		_button ctrlAddEventHandler[ "ButtonClick", {
				params[ "_button" ];
					
				_playerList = ctrlParent _button displayCtrl 10000;
				_selectedIndex = lbCurSel _playerList;
				_curName = _playerList lbText _selectedIndex;
				_objectName = _playerList lbData _selectedIndex;
				_playerObject = missionNamespace getVariable _objectName;

		switch (abilplrglobal) do {
			case 0: {											
						["EGX_system\functions\AssignMedic.sqf"] remoteExec ["BIS_fnc_execVM", _playerObject];												
 					};
 				
 			case 1: {
 						["EGX_system\functions\AssignEngineer.sqf"] remoteExec ["BIS_fnc_execVM", _playerObject];						
 					};
			
			case 2: {
 						["EGX_system\functions\AssignEngineer.sqf"] remoteExec ["BIS_fnc_execVM", _playerObject];						
 					};
 							 		
		 	case 3: { 						
						["EGX_system\functions\AssignNoAbil.sqf"] remoteExec ["BIS_fnc_execVM", _playerObject];						
 					};
		};
	}];		
};