/*
	EGX system - by Enigx
	
	CallCAS.sqf	
	
*/

createMarker ["StrikeDirMark",[0,0,0]];
createMarker ["StrikePosMark",[0,0,0]];

sleep 0.1;
openMap true;
mapclick = true;
hint "Click on the position to attack";
onMapSingleClick """StrikePosMark"" setMarkerPos _pos;mapclick = false;
onMapSingleClick ''; true;";
waitUntil {!mapClick};
createMarkerLocal ["StrikePosMark_view",getMarkerPos "StrikePosMark"];
"StrikePosMark_view" setMarkerTypeLocal "hd_objective";
"StrikePosMark_view" setMarkerColorLocal "ColorRed";
sleep 0.2;

mapclick = true;
hint "Click the direction of arrival of the CAS with respect to the target";
onMapSingleClick """StrikeDirMark"" setMarkerPos _pos;mapclick = false;
onMapSingleClick ''; true;";
waitUntil {!mapClick};
createMarkerLocal ["StrikeDirMark_view",getMarkerPos "StrikeDirMark"];
"StrikeDirMark_view" setMarkerTypeLocal "hd_arrow";
_objPos = "Land_PenBlack_F" createVehicle getMarkerPos "StrikePosMark";
_objDir = "Land_PenBlack_F" createVehicle getMarkerPos "StrikeDirMark";
_gradiDir = _objDir getDir _objPos;
"StrikeDirMark_view" setMarkerDirLocal _gradiDir;
sleep 1;
openMap false;

[[getMarkerPos "StrikePosMark",_gradiDir,"B_Plane_CAS_01_F"], "EGX_system\functions\CAS.sqf"] remoteExec ["execVM",2,false]; // ====== MODIFY PLANE IF NEEDED
// NOTE: to select an aircraft other than the default and the type of armament refer to the examples below, adding what you want after the _gradiDir

deleteVehicle _objPos;
deleteVehicle _objDir;

/* comando del tipo
 [[_position,_direction,_vehicle,_type], "EGX_system\functions\CAS.sqf"] remoteExec ["execVM",0,false];

		- _position - array
			    - position for CAS to strike
		- _direction - number
			     - direction for the CAS to approach on
		- _vehicle - string (optional)
			   - default: "B_Plane_CAS_01_F"
			   - classname of the plane to fly CAS
		- _type - number (optional)
			- default: 2
			- type of CAS to be used
				- 0 - Guns
				- 1 - Missiles
				- 2 - Guns & Missiles
				- 3 - Bomb
Example:
- [[getPos player,240], "EGX_system\functions\CAS.sqf"] remoteExec ["execVM",0,false];
	- Wipeout will fly in for a "Guns & Missiles" run.
- [[getPos player,240,"RHS_A10",3], "EGX_system\functions\CAS.sqf"] remoteExec ["execVM",0,false];
	- A-10 will fly in and drop a single bomb.
*/

deleteMarker "StrikePosMark";
deleteMarker "StrikeDirMark";
deleteMarkerLocal "StrikePosMark_view";
deleteMarkerLocal "StrikeDirMark_view";
deleteVehicle _objPos;
deleteVehicle _objDir;