/*
	EGX system - by Enigx
	
	CallChopterAttack.sqf
	
*/

[] spawn {
		
		_heliType = "";		
		private _dialogValues = ["CAS helicopter",[
			["COMBOBOX","Helicopter to use",["Helicopter RHS AH64D","Helicopter ACE"],0],
			["SLIDER","Flight altitude in the attack (m)",[50,300,0],100],
			["SLIDER","Waiting time on target (sec)",[20,180,0],60]
  		]] call CDS_fnc_createDialog;
		if (_dialogValues isEqualTo []) exitWith {};
		_dialogValues params ["_heliSel","_height","_timeObj"];

		if (_heliSel == 0) then {_heliType = "RHS_AH64D";} else {_heliType = "B_Heli_Attack_01_dynamicLoadout_F";};

		createMarkerLocal ["StartWayMark",[0,0,0]];
		"StartWayMark" setMarkerTypeLocal "hd_start";		
		createMarkerLocal ["wayp2",[0,0,0]];
		"wayp2" setMarkerTypeLocal "hd_objective";		
		createMarkerLocal ["wayp3",[0,0,0]];
		"wayp3" setMarkerTypeLocal "hd_objective";		
		createMarkerLocal ["wayp4",[0,0,0]];
		"wayp4" setMarkerTypeLocal "hd_objective";		
		createMarkerLocal ["attackMark",[0,0,0]];
		"attackMark" setMarkerTypeLocal "hd_objective";
		"attackMark" setMarkerColorLocal "ColorRed";

		sleep 0.1;
		openMap true;
		mapclick = true;
		hint "Set the route (5 points)\nClick on the starting position of the helicopter 1/5";
		onMapSingleClick """StartWayMark"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;

		mapclick = true;
		hint "Click on the route point 2/5";
		onMapSingleClick """wayp2"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;

		mapclick = true;
		hint "Click on the route point 3/5";
		onMapSingleClick """wayp3"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;

		mapclick = true;
		hint "Click on the route point 4/5";
		onMapSingleClick """wayp4"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;

		mapclick = true;
		hint "Click on the helicopter's attack position 5/5";
		onMapSingleClick """attackMark"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 1;
		openMap false;
		
		sleep 0.1;
		Bravo1 = createGroup west;
		heli_attack = createVehicle [_heliType, getMarkerPos "StartWayMark",[], 0,"FLY"];
		heli_attack flyInHeight _height;
		createVehicleCrew heli_attack;

		_heliGrp = group heli_attack;
		
		_wp2 = _heliGrp addWaypoint [getMarkerPos "wayp2", 0];
		_wp2 setWaypointType "MOVE";
		_wp2 setWaypointBehaviour "CARELESS";
		_wp2 setWaypointCombatMode "GREEN";
		
		_wp3 = _heliGrp addWaypoint [getMarkerPos "wayp3", 0];
		_wp3 setWaypointType "MOVE";
		_wp3 setWaypointBehaviour "CARELESS";
		_wp3 setWaypointCombatMode "GREEN";
		
		_wp4 = _heliGrp addWaypoint [getMarkerPos "wayp4", 0];
		_wp4 setWaypointType "MOVE";
		_wp4 setWaypointBehaviour "CARELESS";
		_wp4 setWaypointCombatMode "GREEN";
		
		_wp = _heliGrp addWaypoint [getMarkerPos "attackMark", 0];
		_wp setWaypointType "SAD";
		_wp setWaypointBehaviour "COMBAT";
		_wp setWaypointCombatMode "RED";

		_wp setWaypointTimeout [_timeObj, _timeObj, _timeObj];

		_wp5 = _heliGrp addWaypoint [getMarkerPos "StartWayMark", 0];
		_wp5 setWaypointType "MOVE";
		_wp5 setWaypointBehaviour "CARELESS";
		_wp5 setWaypointCombatMode "GREEN";

		deleteMarkerLocal "wayp2";
		deleteMarkerLocal "wayp3";
		deleteMarkerLocal "wayp4";
		deleteMarkerLocal "StartWayMark";

		_wp5 setWaypointStatements ["true", "chp = vehicle leader this; { deleteVehicle _x } forEach crew chp + [chp]"];
		
		["CAS helicopter arriving on target!"] remoteExec ["hint",0,false];
		
		deleteMarkerLocal "attackMark";
		
};
