/*
	EGX system - by Enigx
	
	CallSupplyDrop.sqf
	
*/

createMarkerLocal ["SupplyMark",[0,0,0]];

sleep 0.1;
openMap true;
mapclick = true;
hint "Click on the position to land the supply crate";
onMapSingleClick """SupplyMark"" setMarkerPosLocal _pos;mapclick = false;
onMapSingleClick ''; true;";
waitUntil {!mapClick};
"SupplyMark" setMarkerTypeLocal "hd_objective";
sleep 1;
openMap false;

/* Richiamo la cassa di rifornimenti
	Spawns a supply drop of desired object.

	Arguments(s):
	0: Supply Drop Object (classname) to spawn - <STRING>
	1: Supply Drop Centre - <MARKER, OBJECT, LOCATION, GROUP, TASK, POSITION>
	2: Supply Drop Height - <SCALAR>
	3: Supply Drop attachTo Position - <ARRAY>

	Return Value:
	<OBJECT>
	
	Example:
	[
		"CargoNet_01_box_F",
		position player,
		100,
		[0,0,-1.2],
		WEST
	] call FUNCTIONNAME
__________________________________________________________________*/


["I_supplyCrate_F",getMarkerPos "SupplyMark",80,[0,0,-1.2],WEST] execVM "EGX_system\functions\SupplyDrop.sqf";

deleteMarkerLocal "SupplyMark";
