/*
	EGX system - by Enigx
	
	CallVehicleRepair.sqf

*/

[] spawn {
    private _dialogValues = ["Repair vehicle",[
        ["COMBOBOX","Repair vehicles",[
				"Close to me for a radius of 25m",
				"In an area with a radius of 25m on the map"
				],0]				
    ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_repZone"];

	switch (_repZone) do {
		case 0: { 
				_mkrVeh = createMarker ["VehInAreaMkr", getPos player];
				"VehInAreaMkr" setMarkerShape "ELLIPSE";
				"VehInAreaMkr" setMarkerSize [25, 25];
				_vehInArea = vehicles inAreaArray _mkrVeh;
				deleteMarker "VehInAreaMkr";
				for "_i" from 0 to (count _vehInArea - 1) do
				{_xhandle = (_vehInArea select _i) execVM "EGX_system\functions\VehicleRepair.sqf";};
				sleep 3;
				hint format["Vehicles around you repaired, rearmed and refueled"];																																				
				};				
		case 1: {						
				_mkrVeh = createMarker ["VehInAreaMkr",[0,0,0]];
				null = [20,1] execVM "EGX_system\functions\MarkPlayersPosition.sqf";
				openMap true;
				mapclick = true;
				hint "Click on the position where you want the vehicles to be repaired";
				onMapSingleClick """VehInAreaMkr"" setMarkerPos _pos;mapclick = false;
				onMapSingleClick ''; true;";
				waitUntil {!mapClick};
				sleep 1;
				openMap false;				
				"VehInAreaMkr" setMarkerShape "ELLIPSE";
				"VehInAreaMkr" setMarkerSize [25, 25];
				_vehInArea = vehicles inAreaArray _mkrVeh;				
				deleteMarker "VehInAreaMkr";
				for "_i" from 0 to (count _vehInArea - 1) do
				{_xhandle = (_vehInArea select _i) execVM "EGX_system\functions\VehicleRepair.sqf";};
				sleep 3;
				hint format["Vehicles around the specified area repaired, rearmed and refueled"];
				};
	};
};