/*
	EGX system - Enemy Spawning System (ESS) by Enigx

	Call_ESS_on_Area.sqf
*/

params ["_fazioneESS","_sideInd","_EES_Area_Mkr","_numFT","_unitsXteamMax","_groupInBuild","_numUnitInBuild"];

consecutive_scripts = 0;
_UnitInCar = 0;

txtFacESS = "";

switch (_fazioneESS) do {
		case 0: { txtFacESS = "USER DEFINED";};
		case 1: { txtFacESS = "CSAT Vanilla";};
		case 2: { txtFacESS = "Islamic State - Project OPFOR";};
		case 3: { txtFacESS = "Middle Eastern Militia - Project OPFOR";};
		case 4: { txtFacESS = "Russian Federation RHS-AFR";};
		case 5: { txtFacESS = "Russian Federation CUP";};
		case 6: { txtFacESS = "African Militia - Project OPFOR";};
		case 7: { txtFacESS = "Vietcong - Unsung";};
		case 8: { txtFacESS = "CUP Takistan Militia";};
		case 9: { txtFacESS = "CUP Takistan Army";};
		case 10: { txtFacESS = "Boko Haram - Project OPFOR";};
		case 11: { txtFacESS = "USER DEFINED 2";};
};
	
if (!(isClass (configFile >> "cfgVehicles" >> (((ListEnemyUnit # _fazioneESS) # 0) # 0)))) exitWith 
{hint format["The mod of the chosen faction has not been loaded.\nMod related to the faction %1",txtFacESS];};

_TempSpawn = 0.2;
_EES_Area_Mkr setMarkerColorLocal "ColorYellow";

hint parseText format ["
	Faction created: %1<br />
	Patrolling fire teams: %2<br />
	Max units per team: %3<br />
	Teams in buildings: %4<br />
	Max units per teams %5<br />
	BEFORE SELECTING TO START A NEW ESS WAIT A MINIMUM OF %6 SEC !<br />
	Wait for the map marker to turn red.
	",txtFacESS,_numFT,_unitsXteamMax,_groupInBuild,_numUnitInBuild, (_TempSpawn * _numFT * 7) + _TempSpawn * _groupInBuild];

createMarkerLocal ["p1",[0,0,0]];
createMarkerLocal ["p2",[0,0,0]];
createMarkerLocal ["p3",[0,0,0]];
createMarkerLocal ["p4",[0,0,0]];
createMarkerLocal ["p5",[0,0,0]];
createMarkerLocal ["pB",[0,0,0]];
	
for "_i" from 1 to _numFT do {
	sleep _TempSpawn;
	_p1 = [_EES_Area_Mkr] call SHK_posESS;
	"p1" setMarkerPosLocal _p1;
	
	sleep _TempSpawn;
	_p2 = [_EES_Area_Mkr] call SHK_posESS;
	"p2" setMarkerPosLocal _p2;
	
	sleep _TempSpawn;
	_p3 = [_EES_Area_Mkr] call SHK_posESS;
	"p3" setMarkerPosLocal _p3;
	
	sleep _TempSpawn;
	_p4 = [_EES_Area_Mkr] call SHK_posESS;
	"p4" setMarkerPosLocal _p4;
	
	sleep _TempSpawn;
	_p5 = [_EES_Area_Mkr] call SHK_posESS;
	"p5" setMarkerPosLocal _p5;
	
	sleep _TempSpawn;
	_nFT = floor(random _unitsXteamMax);
	null = [EnCar select _fazioneESS,_UnitInCar,(ListEnemyUnit select _fazioneESS) select _nFT,["p1","p2","p3","p4","p5"],_sideInd] execVM "EGX_system\functions\Spawn_Enemies\Spawn_Enemy_patrol.sqf";
		
	sleep _TempSpawn;
};

for "_i" from 1 to  _groupInBuild do {
	sleep _TempSpawn;
	_pB = [_EES_Area_Mkr] call SHK_posESS;
	"pB" setMarkerPosLocal _pB;
	grpB = createGroup [_sideInd, true];
	for "_j" from 0 to floor(random(_numUnitInBuild)) do {
		_UnB = grpB createUnit [((ListEnemyUnit select _fazioneESS) select 0) select 0, getMarkerPos "pB", [], 0, "FORM"];
		[_UnB] join grpB;
	};
	0 = [getMarkerPos "pB", units grpB, 50,false,false,true,false] execVM "EGX_system\functions\ESS\Zen_OccupyHouse.sqf";
};

deleteMarkerLocal "p1";
deleteMarkerLocal "p2";
deleteMarkerLocal "p3";
deleteMarkerLocal "p4";
deleteMarkerLocal "p5";
deleteMarkerLocal "pB";

_EES_Area_Mkr setMarkerColorLocal "ColorRed";
//_EES_Area_Mkr setMarkerAlphaLocal 0;

consecutive_scripts = 1;