/*
	EGX system - by Enigx
	
	HealPlayeR.sqf
	
*/

private _dialogValues = ["Heal single player",[
				["COMBOBOX","Choose option",["Heal myself","Heal a player in the list"],0]
		]] call CDS_fnc_createDialog;
if (_dialogValues isEqualTo []) exitWith {};
_dialogValues params ["_posPlrC"];

switch (_posPlrC) do {
 		case 0: { 
				[objNull, player] call ace_medical_treatment_fnc_fullHeal;
				hint "You healed yourself";
				 };
		 				
 		case 1: { 
 						createDialog "TER_RscTestDialog";
						_display = findDisplay 73000;
						_playerList = _display ctrlCreate ["RscListbox",1500];
						_playerList ctrlSetPosition [
						0.1 * safezoneW + safezoneX,
						0.14 * safezoneH + safezoneY,
						0.16 * safezoneW,
						0.75 * safezoneH
						]; 
						_playerList ctrlCommit 0;
						{
							_playerList lbAdd name _x;
						} forEach allPlayers;
						
						_button = _display ctrlCreate ["RscButtonMenu",-1];
						_button ctrlSetPosition [
						0.27 * safezoneW + safezoneX,
						0.14 * safezoneH + safezoneY,
						0.12 * safezoneW,
						0.094 * safezoneH
						];
						_button	ctrlCommit 0;
						_button ctrlSetText "Choose the Player and then Click here to OK, or ESC to CANCEL";
						_button ctrlAddEventHandler ["ButtonClick",{
									params ["_button"];
									_playerList = (findDisplay 73000) displayCtrl 1500;
									_curName = _playerList lbText (lbCurSel _playerList);
								closeDialog 73000;

						if (_curName isEqualTo "") exitWith {hint "Choose the player first";};
						playerObject = allPlayers select ( allPlayers findIf {(name _x) isEqualTo _curName;} );
								 				
						[objNull, playerObject] call ace_medical_treatment_fnc_fullHeal;
						hint format["%1 has been healed", name playerObject];
						}];
				};
};
