/*
	EGX system - by Enigx
	
	OrderChopterGO.sqf

*/

if (!(vehicle player isKindOf "Helicopter")) exitWith {hint "You are not in a helicopter!\nGet in a helicopter first!";};

[] spawn {	
	private ["_MkrIntArray","_wpH","_MkrIntArrayCount","_wpHback","_landing_point","_cont"];	
	private _dialogValues = ["Order Helicopter Go",[
				["SLIDER","Specify the intermediate waypoints number",[0,8,0],3],
				["CHECKBOX","Force landing in selected point (not preferred)",[],false],
				["CHECKBOX","Order heli goes away once you're at destination",[],false],
				["COMBOBOX","Go away route",[
				"Follow the route of the outward journey",
				"Select new go away position on map"
				],0]
		]] call CDS_fnc_createDialog;			
	if (_dialogValues isEqualTo []) exitWith {};			
	_dialogValues params ["_numWypInt","_forceLand","_baseback","_rottafuga"]; 
	
	createMarkerLocal ["wypIntMark1",[0,0,0]];
	createMarkerLocal ["wypIntMark2",[0,0,0]];
	createMarkerLocal ["wypIntMark3",[0,0,0]];
	createMarkerLocal ["wypIntMark4",[0,0,0]];
	createMarkerLocal ["wypIntMark5",[0,0,0]];
	createMarkerLocal ["wypIntMark6",[0,0,0]];
	createMarkerLocal ["wypIntMark7",[0,0,0]];
	createMarkerLocal ["wypIntMark8",[0,0,0]];
	
	private _MkrIntNameArray = ["wypIntMark1","wypIntMark2","wypIntMark3","wypIntMark4","wypIntMark5","wypIntMark6","wypIntMark7","wypIntMark8"];
	_MkrIntArray = [];
	
	createMarkerLocal ["ExtrMarkBack",[0,0,0]];
	"ExtrMarkBack" setMarkerTypeLocal "hd_pickup";
	"ExtrMarkBack" setMarkerColorLocal "ColorBlue";
	
	
	private ["_StartMark","_mkrRndStart","_FugaMark","_DelMark"];
	
	if _baseback then {
		createMarkerLocal ["FugaMark",[0,0,0]];		
		// creo il marker sull'attuale posizione dell'eli (quella del player)
		if (_rottafuga == 0) then {
			_mkrRndStart = "Start" + (str getpos player);
			createMarkerLocal [_mkrRndStart,getpos player];
			_StartMark = getMarkerPos _mkrRndStart;						
		};
	};
	
	openMap true;
	for "_i" from 0 to (_numWypInt-1) do {
		//	createMarkerLocal [(_MkrIntNameArray select _i),[0,0,0]];
			mapclick = true;
			hint format["Click on intermediate waypoint %1/%2",_i+1,_numWypInt];
			ii = _MkrIntNameArray select _i;						
			onMapSingleClick {ii setMarkerPos _pos;mapclick = false;
			onMapSingleClick ''; true;};				
			
			waitUntil {!mapClick};
			(_MkrIntNameArray select _i) setMarkerTypeLocal "mil_objective";				
			_MkrIntArray pushBack (getMarkerPos (_MkrIntNameArray select _i));
			sleep 0.2;
		};
		
	mapclick = true;
	hint "Click on heli LANDING POSITION";
	onMapSingleClick """ExtrMarkBack"" setMarkerPosLocal _pos;mapclick = false;
	onMapSingleClick ''; true;";
	waitUntil {!mapClick};
	_ExtrMarkBack = getMarkerPos "ExtrMarkBack";
		
	sleep 0.2;
	if (_baseback and (_rottafuga == 1)) then {
		mapclick = true;
		hint "Click on GO AWAY position of heli";
		onMapSingleClick """FugaMark"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		"FugaMark" setMarkerTypeLocal "mil_objective";
		"FugaMark" setMarkerColorLocal "ColorGreen";
		_FugaMark = getMarkerPos "FugaMark";
		_obj1 = createVehicle ["Land_PenBlack_F",getmarkerpos "FugaMark"];
		_obj2 = createVehicle ["Land_PenBlack_F",getmarkerpos "ExtrMarkBack"];
		_grDir = _obj2 getDir _obj1;
		createMarkerLocal ["DelMark",_obj1 getRelPos [3000, _grDir]];		
		deleteVehicle _obj1;
		deleteVehicle _obj2;
		_DelMark = getMarkerPos "DelMark";
	};
				
	sleep 1;
	openMap false;
	
	_cont = 0;
	if !(_forceLand) then {			
		_centre = getMarkerPos "ExtrMarkBack";
		_landing_point = [];
		_max_distance = 100;		
		while{ (count _landing_point < 1) } do
		{
			_landing_point = _centre findEmptyPosition[10, _max_distance, typeOf vehicle player];
			_max_distance = _max_distance + 10;
			_cont = _cont + 1;
			if (_cont == 10) exitwith {};	 
		};
		if (_cont == 10) exitwith {};		
		_ExtrMarkBack = _landing_point;
		createMarkerLocal ["SafeLZ",_ExtrMarkBack];
		"SafeLZ" setMarkerPosLocal _ExtrMarkBack;
		"SafeLZ" setMarkerTypeLocal "hd_pickup";
		"SafeLZ" setMarkerColorLocal "ColorGreen";
		"SafeLZ" setMarkerTextLocal "Safe LZ";
		"ExtrMarkBack" setMarkerAlphaLocal 0;
		hint parsetext format["<t font='TahomaB' t size='1.25' t color='#00FF00'>Safe landing zone found close to selected position.</t>"];
	};
	if (_cont == 10) exitwith {
		hint parsetext format["<t font='TahomaB' t size='1.25' t color='#FF0000'>Safe landing zone not found! Please try again choosing a new position.</t>"];
		for "_i" from 0 to (_numWypInt-1) do {deleteMarkerLocal (_MkrIntNameArray select _i);};		
		deleteMarkerLocal "ExtrMarkBack";	
		if _baseback then {
			deleteMarkerLocal "FugaMark";
			deleteMarkerLocal "DelMark";
		};	
	};		
	_MkrIntArray pushBack _ExtrMarkBack;
	
	sleep 1;
	
	_landPosBack = createVehicle ["Land_HelipadEmpty_F", _ExtrMarkBack];
	_heli_Go = vehicle player;
	_heliGrp = group _heli_Go;
	
	_MkrIntArrayCount = (count _MkrIntArray) - 1;
	
	for "_i" from 0 to _MkrIntArrayCount do
		{
		_wpH = _heliGrp addWaypoint [_MkrIntArray select _i, 0];
		_wpH setWaypointType "MOVE";
		_wpH setWaypointBehaviour "CARELESS";
		_wpH setWaypointCombatMode "GREEN";
		_wpH setWaypointSpeed "NORMAL";
		};
	
	if (_baseback) then {
	_wpH setWaypointStatements ["true", "(vehicle this) land 'GET IN'"];
	} else {
	_wpH setWaypointStatements ["true", "(vehicle this) land 'LAND'"];
	};
	
	waitUntil {(getPosATL _heli_Go) select 2 > 20};
	waitUntil {isTouchingGround _heli_Go};
	
	hint "Helicopter landed on selected position";	
	sleep 10;
		
	if _baseback then {
		{if (vehicle _x == _heli_Go) then {moveOut _x};} forEach allPlayers;
		waitUntil {{!(vehicle _x == _heli_Go);} forEach allPlayers};
		_txt1 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>%1<br/></t>", 
		"Co-Pilot (Pvt. Collins): ""Command from transport heli. Squads transported to operational area. Let's go back to Base. Out."""];
		_txt2 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>%1<br/></t>", 
		"Pilot (Lt. Pavel): ""Here copter Zulu one. Squads on position. Let's take off to Base. Out."""];
		_txt3 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>%1<br/></t>",
		"Pilot (Ten. Russel): ""Command from trasport. Delivery carried out. Out."""];
		_textarray = [_txt1,_txt2,_txt3];		
		[parseText (selectRandom _textarray)] remoteExec ["hint",0,false];
				
		if (_rottafuga == 0) then {			
			reverse _MkrIntArray;
			for "_i" from 1 to _MkrIntArrayCount do
			{
				_wpHback = _heliGrp addWaypoint [_MkrIntArray select _i, 0];
				_wpHback setWaypointType "MOVE";
				_wpHback setWaypointBehaviour "CARELESS";
				_wpHback setWaypointCombatMode "GREEN";
				_wpHback setWaypointSpeed "NORMAL";
			};
			_wpHback = _heliGrp addWaypoint [_StartMark, 0];
			_wpHback setWaypointType "MOVE";
			_wpHback setWaypointStatements ["true", "trasp_go = vehicle leader this; { deleteVehicle _x } forEach crew trasp_go + [trasp_go]"];
							
		} else {			
			_wpFuga = _heliGrp addWaypoint [_FugaMark, 0];
			_wpFuga setWaypointType "MOVE";
			_wpFuga setWaypointBehaviour "CARELESS";
			_wpFuga setWaypointCombatMode "GREEN";
			_wpFuga setWaypointSpeed "NORMAL";
						
			_wpEnd = _heliGrp addWaypoint [_DelMark, 0];
			_wpEnd setWaypointType "MOVE";
			_wpEnd setWaypointBehaviour "CARELESS";
			_wpEnd setWaypointCombatMode "GREEN";
			_wpEnd setWaypointSpeed "NORMAL";
			_wpEnd setWaypointStatements ["true", "trasp_med = vehicle leader this; { deleteVehicle _x } forEach crew trasp_med + [trasp_med]"];
		};
	};		
	
	for "_i" from 0 to (_numWypInt-1) do {deleteMarkerLocal (_MkrIntNameArray select _i);};		
	deleteMarkerLocal "ExtrMarkBack";	
	deleteVehicle _landPosBack;
	if _baseback then {
		deleteMarkerLocal "FugaMark";
		deleteMarkerLocal "DelMark";
	};

	if !(_forceLand) then {deleteMarkerLocal "SafeLZ";};
	
};