/*
	EGX system - by Enigx
	
	PlaceIED.sqf
	
*/

[] spawn {

		private _dialogValues = ["IED spawn on an area WITH ROADS",[
			["SLIDER","Size of the square spawn area (side in meters)",[10,400,0],10],
  		["SLIDER","Number of IEDs to be placed",[1,10,0],5],
			["CHECKBOX","The IED can be detonated with weapons",[],true],
			["CHECKBOX","Show location of IEDs on the map (non deletable)",[],false]
			]] call CDS_fnc_createDialog;
		if (_dialogValues isEqualTo []) exitWith {};
		_dialogValues params ["_dimAreaied","_numeroied","_armayes","_iedshow","_Campmine"];

		null = [20,1] execVM "EGX_system\functions\MarkPlayersPosition.sqf"; // Display players position for 20 seconds with refresh every 1 second ====== MODIFY OR DELETE IF NECESSARY

		createMarker ["SpawnIED",[0,0,0]];
		"SpawnIED" setMarkerShape "RECTANGLE";
		"SpawnIED" setMarkerSize [_dimAreaied, _dimAreaied];

		sleep 0.1;
		openMap true;
		mapclick = true;
		hint "Click on the position on the map where to place the IEDs\nIT MUST BE AN AREA THAT CONTAINS ROADS!";
		onMapSingleClick """SpawnIED"" setMarkerPos _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 1;
		openMap false;

		_iedMkr=["SpawnIED"];

		[[_iedMkr,_numeroied,_armayes,_iedshow],"EGX_system\functions\ied.sqf"] remoteExec ["execVM",2];

		sleep 5;

		deleteMarker "SpawnIED";
		hint "IEDs placed in the specified location";
	
};

