/*
	EGX system - by Enigx
	
	SkipTime.sqf
*/


[] spawn {

	_curtime = [daytime, "HH:MM"] call BIS_fnc_timeToString;
	hint parseText format["<t font='TahomaB' t size='1.25' t color='#00FF00'>Current time: %1<br/></t>", _curtime];

    private _dialogValues = ["Skip Time",[
        ["SLIDER","Move the time by hours",[0,12,1],1],
		["COMBOBOX","Move",["Forward","Backward"],0],
        ["CHECKBOX","Show time moving message to everyone",[],true]
		]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_timeToSkipTo","_dirtemp","_messTime"];

    if (_timeToSkipTo == 0) exitWith {hint "Time unchanged.\nSet a non-zero value!";};
	
	private ["_kT","_timedir"];
	
	if (_dirtemp == 0) then {_timedir = "forward"; _kT = 1;} else {_timedir = "backward"; _kT = -1;};

    [_timeToSkipTo*_kT] remoteExec ["skipTime", 2, false];
    sleep 0.5;

    if _messTime then {
    _imgtime = "<img size='5' image= 'EGX_system\img\Script_icon\SkipTime.jpg' align='center'/><br/><br/>";
    _txtime1 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>Time moved %1 of %2 hours<br/></t>", _timedir, _timeToSkipTo];
    _newtime = [daytime, "HH:MM"] call BIS_fnc_timeToString;
    _txtime2 = format["<t font='TahomaB' t size='1.25' t color='#00FF00'>Time is now %1<br/></t>", _newtime];
    [parseText (_imgtime + _txtime1 + _txtime2)] remoteExec ["hint",0,false];
    ["hint"] remoteExec ["playsound",0,false];
 		} else {
 	_txtime1 = format["Time moved %1 of %2 hours<br/>", _timedir,_timeToSkipTo];
    _newtime = [daytime, "HH:MM"] call BIS_fnc_timeToString;
    _txtime2 = format["Time is now %1", _newtime];
    hint parseText (_txtime1 + _txtime2);
 		};
 
};