/*
	EGX system - by Enigx
	
	EnemyPatrolMapClick.sqf
				
*/

private _UnitInCar = _this select 0;
private _UnitsNum = (_this select 1) - 1;

UnitInCar = _UnitInCar;
UnitsNum = _UnitsNum;

[] spawn {
    private _dialogValues = ["Enemy Patrol",[
        ["COMBOBOX","Choose the enemy faction to use",[
        	FazioneUser1,
        	"CSAT Vanilla",
        	"Islamic State - Project OPFOR",
        	"Middle Eastern Militia - Project OPFOR",
        	"Russian Federation RHS-AFR",
        	"Russian Federation CUP",
        	"African Militia - Project OPFOR",
        	"Vietcong - Unsung",
        	"CUP Takistan Militia",
        	"CUP Takistan Army",
			"Boko Haram - Project OPFOR",
        	FazioneUser12
        	],0],
        	["CHECKBOX","The selected faction is Independent",[],false]
    ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_fazionePat","_sideInd"];

		if _sideInd then {sidefact = independent;} else {sidefact = east};
        
		txtFacP = "";
	
		switch (_fazionePat) do {
				case 0: { txtFacP = FazioneUser1;};
				case 1: { txtFacP = "CSAT Vanilla";};
				case 2: { txtFacP = "Islamic State - Project OPFOR";};
				case 3: { txtFacP = "Middle Eastern Militia - Project OPFOR";};
				case 4: { txtFacP = "Russian Federation RHS-AFR";};
				case 5: { txtFacP = "Russian Federation CUP";};
				case 6: { txtFacP = "African Militia - Project OPFOR";};
				case 7: { txtFacP = "Vietcong - Unsung";};
				case 8: { txtFacP = "CUP Takistan Militia";};
				case 9: { txtFacP = "CUP Takistan Army";};
				case 10: { txtFacP = "Boko Haram - Project OPFOR";};
				case 11: { txtFacP = FazioneUser12;};
		};

		if (!(isClass (configFile >> "cfgVehicles" >> (((ListEnemyUnit # _fazionePat) # 0) # 0)))) exitWith 
		{hint format["The mod of the chosen faction has not been loaded.\nMod related to the faction %1",txtFacP];};
		
		null = [20,1] execVM "EGX_system\functions\MarkPlayersPosition.sqf"; // Display players position for 20 seconds with refresh every 1 second ====== MODIFY OR DELETE IF NECESSARY						
		// Creo i marker per il map-click.
		createMarkerLocal ["StartEnemyWay",[0,0,0]];
		"StartEnemyWay" setMarkerTypeLocal "hd_start";		
		createMarkerLocal ["Enemy_way2",[0,0,0]];
		"Enemy_way2" setMarkerTypeLocal "hd_objective";		
		createMarkerLocal ["Enemy_way3",[0,0,0]];
		"Enemy_way3" setMarkerTypeLocal "hd_objective";		
		createMarkerLocal ["Enemy_way4",[0,0,0]];
		"Enemy_way4" setMarkerTypeLocal "hd_objective";		
		createMarkerLocal ["EndEnemyWay",[0,0,0]];
		"EndEnemyWay" setMarkerTypeLocal "hd_objective";
		"EndEnemyWay" setMarkerColorLocal "ColorRed";

		sleep 0.1;
		openMap true;
		mapclick = true;
		hint "Set the patrolling route (5 waypoints)\nClick on the starting position of the enemies (spawn) 1/5";
		onMapSingleClick """StartEnemyWay"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		mapclick = true;
		hint "Click on waypoint point 2/5";
		onMapSingleClick """Enemy_way2"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		mapclick = true;
		hint "Click on waypoint point 3/5";
		onMapSingleClick """Enemy_way3"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		mapclick = true;
		hint "Click on waypoint point 4/5";
		onMapSingleClick """Enemy_way4"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 0.2;
		mapclick = true;
		hint "Click on final arrival position 5/5";
		onMapSingleClick """EndEnemyWay"" setMarkerPosLocal _pos;mapclick = false;
		onMapSingleClick ''; true;";
		waitUntil {!mapClick};
		sleep 1;
		openMap false;

		null = [EnCar select _fazionePat,UnitInCar,(ListEnemyUnit select _fazionePat) select UnitsNum,["StartEnemyWay","Enemy_way2","Enemy_way3","Enemy_way4","EndEnemyWay"],sidefact] execVM "EGX_system\functions\Spawn_Enemies\Spawn_Enemy_patrol.sqf";
		
		if (UnitInCar == 0) then {
			hint format["Create %1 patrolling unit of the faction %2",UnitsNum + 1,txtFacP];
			} 
			else
			{
			hint format["Create% 1 patrolling unit in car of the faction %2",UnitsNum + 1,txtFacP];
			};		
		sleep 2;
		deleteMarkerLocal "StartEnemyWay";
		deleteMarkerLocal "Enemy_way2";
		deleteMarkerLocal "Enemy_way3";
		deleteMarkerLocal "Enemy_way4";
		deleteMarkerLocal "EndEnemyWay";		
};