/*
	EGX system - by Enigx
	
	Spawn_Enemy_patrol.sqf

*/

_vehicle= _this select 0;
_carpres= _this select 1;
_unitArray = _this select 2;
_MarkerMoveArray = _this select 3;
_sideFactionUn = _this select 4;

grpAI = createGroup [_sideFactionUn, true];
_unitlArrayCount = (count _unitArray) - 1;
_markerArrayCount = (count _MarkerMoveArray) - 1;

if (_carpres == 1) then
{
	_carE = createVehicle [_vehicle, getMarkerPos (_MarkerMoveArray select 0)];
	
	if (_markerArrayCount > 0) then
	{
	_objPos = createVehicle ["Land_PenBlack_F", getMarkerPos (_MarkerMoveArray select 0)];
	_objDir = createVehicle ["Land_PenBlack_F", getMarkerPos (_MarkerMoveArray select 1)];
	_gradiDir = _objPos getDir _objDir;
	_carE setDir _gradiDir;
	deleteVehicle _objPos;
	deleteVehicle _objDir;
	};
		
	_dvr = grpAI createUnit [_unitArray select 0, getMarkerPos (_MarkerMoveArray select 0), [], 0, "FORM"];
	[_dvr] join grpAI;
	_dvr moveincargo _carE;
	_dvr assignAsDriver _carE;
	
	if (_unitlArrayCount > 0) then
	{
		if ((!isNull gunner _carE) || (_carE emptyPositions "gunner">0)) then {
			_gnr = grpAI createUnit [_unitArray select 1, getMarkerPos (_MarkerMoveArray select 0), [], 0, "FORM"];
			[_gnr] join grpAI;			
			_gnr moveInGunner _carE;
			} else {
			_ce = grpAI createUnit [_unitArray select 1, getMarkerPos (_MarkerMoveArray select 0), [], 0, "FORM"];
			[_ce] join grpAI;
			_ce moveincargo _carE;
			};
	};
	for "_i" from 2 to _unitlArrayCount do
	{
		_ce = grpAI createUnit [_unitArray select _i, getMarkerPos (_MarkerMoveArray select 0), [], 0, "FORM"];
		[_ce] join grpAI;
		_ce moveincargo _carE;
	};
	EnGrp = group _carE;		
}
else
{
	for "_i" from 0 to _unitlArrayCount do
	{
		_ce = grpAI createUnit [_unitArray select _i, getMarkerPos (_MarkerMoveArray select 0), [], 0, "FORM"];
		[_ce] join grpAI;
	};
	EnGrp = grpAI;	
};	

for "_k" from 1 to _markerArrayCount do
{
	_wp = EnGrp addWaypoint [getmarkerpos (_MarkerMoveArray select _k), 0];
	_wp setWaypointType "MOVE";
	_wp setWaypointBehaviour "SAFE";
	_wp setWaypointCombatMode "YELLOW";
	_wp setWaypointSpeed "LIMITED";
	_wp setWaypointFormation "FILE";
};

_wp = EnGrp addWaypoint [getmarkerpos (_MarkerMoveArray select 0), 0];
_wp setWaypointType "MOVE";

_wp = EnGrp addWaypoint [[(getmarkerpos (_MarkerMoveArray select 0) select 0)+2,(getmarkerpos (_MarkerMoveArray select 0) select 1)+2,(getmarkerpos (_MarkerMoveArray select 0) select 2)], 0];
_wp setWaypointType "CYCLE";

