/*
	EGX system - by Enigx
	
	Spawn_SupplyBox.sqf

*/

[] spawn {

    private _dialogValues = ["Spawn supply box",[        
        ["COMBOBOX","Choose where to create the box",["In a clickable point on the map","X meters in front of you"],0],
        ["SLIDER","Meters X (if selected)",[5,50,0],10]
    ]] call CDS_fnc_createDialog;
    if (_dialogValues isEqualTo []) exitWith {};
    _dialogValues params ["_BoxPos","_XdirBox"];

		null = [20,1] execVM "EGX_system\functions\MarkPlayersPosition.sqf"; // Display players position for 20 seconds with refresh every 1 second ====== MODIFY OR DELETE IF NECESSARY		

		switch (_BoxPos) do {
   		case 0: {
				createMarkerLocal ["SpawnBox",[0,0,0]];
				"SpawnBox" setMarkerTypeLocal "hd_objective";
				sleep 0.1;
				openMap true;
				mapclick = true;
				hint "Click on the point on the map where to place the supply box";
				onMapSingleClick """SpawnBox"" setMarkerPosLocal _pos;mapclick = false;
				onMapSingleClick ''; true;";
				waitUntil {!mapClick};
				sleep 1;
				openMap false;
				posBoxtoPlace = getMarkerPos "SpawnBox";
   			};
   			
			case 1: { 
				posBoxtoPlace = player getRelPos [_XdirBox, 0];
				};
		};

		Supplybox = createVehicle ["I_supplyCrate_F", posBoxtoPlace];
		
		if (_BoxPos == 0) then {deleteMarkerLocal "SpawnBox"};
		hint "Supply box ready in desired position";
		
		
		//~~~~~~~~~~~~~~~~~~~Edit Box Contents~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
		// ====== MODIFY CONTENT IF NECESSARY
		clearWeaponCargoGlobal Supplybox;
		clearMagazineCargoGlobal Supplybox;
		clearItemCargoGlobal Supplybox;
		clearBackpackCargoGlobal Supplybox;
		
		Supplybox addWeaponCargoGlobal ["rhs_weap_M136_hedp",10];
		Supplybox addMagazineCargoGlobal ["rhs_mag_30Rnd_556x45_M855A1_Stanag", 100];
		Supplybox addMagazineCargoGlobal ["rhsusf_200Rnd_556x45_box", 30];
		Supplybox addMagazineCargoGlobal ["rhs_mag_20Rnd_SCAR_762x51_m80_ball", 30];
		
		Supplybox addMagazineCargoGlobal ["rhs_mag_M441_HE", 40];
		Supplybox addMagazineCargoGlobal ["rhs_mag_an_m8hc", 60];
		Supplybox addMagazineCargoGlobal ["SmokeShellGreen", 30];
		Supplybox addMagazineCargoGlobal ["SmokeShellPurple", 30];
		Supplybox addMagazineCargoGlobal ["rhs_mag_m714_White", 30];
		Supplybox addMagazineCargoGlobal ["rhs_mag_m67", 50];
		
		Supplybox addItemCargoGlobal ["ACE_epinephrine", 30];
		Supplybox addItemCargoGlobal ["ACE_morphine", 30];
		Supplybox addItemCargoGlobal ["ACE_adenosine", 30];
		Supplybox addItemCargoGlobal ["ACE_packingBandage", 80];
		Supplybox addItemCargoGlobal ["ACE_elasticBandage", 80];
		Supplybox addItemCargoGlobal ["ACE_salineIV_250", 30];
		Supplybox addItemCargoGlobal ["ACE_salineIV", 30];
		Supplybox addItemCargoGlobal ["ACE_salineIV_500", 30];
		Supplybox addItemCargoGlobal ["ACE_tourniquet", 20];
			
};