/*
	EGX system - by Enigx
	
	TeleportSinglePlayer.sqf
	
*/

toPos = _this select 0;

createDialog "TER_RscTestDialog";
_display = findDisplay 73000;
_playerList = _display ctrlCreate ["RscListbox",1500];
_playerList ctrlSetPosition [
	0.1 * safezoneW + safezoneX,
	0.14 * safezoneH + safezoneY,
	0.16 * safezoneW,
	0.75 * safezoneH
]; 
_playerList ctrlCommit 0;
{
	_playerList lbAdd name _x;
} forEach allPlayers;

_button = _display ctrlCreate ["RscButtonMenu",-1];
_button ctrlSetPosition [
	0.27 * safezoneW + safezoneX,
	0.14 * safezoneH + safezoneY,
	0.12 * safezoneW,
	0.094 * safezoneH
];
_button	ctrlCommit 0;
_button ctrlSetText "Choose the Player and then Click here to OK, or ESC to CANCEL";
_button ctrlAddEventHandler ["ButtonClick",{
			params ["_button"];
			_playerList = (findDisplay 73000) displayCtrl 1500;
			_curName = _playerList lbText (lbCurSel _playerList);
			closeDialog 73000;

if (_curName isEqualTo "") exitWith {hint "Choose the player first";};
playerObject = allPlayers select ( allPlayers findIf {(name _x) isEqualTo _curName;} );

switch (toPos) do {
	case 1: {
			null = [20,1] execVM "EGX_system\functions\MarkPlayersPosition.sqf"; // Display players position for 20 seconds with refresh every 1 second ====== MODIFY OR DELETE IF NECESSARY		
			openMap true;
			hint format["Click on the point where you want to teleport %1",_curName];
			onMapSingleClick {
			onMapSingleClick {};
			playerObject setPos _pos; 
			hint format["You teleported %1 to the point in coordinates %2.", name playerObject, mapGridPosition getPosATL playerObject];	
			openMap false;};				
			};
	
	case 2: { 
			playerObject setPos (getpos player);
			hint format["You teleported %1 to your position in coordinates %2.", name playerObject, mapGridPosition getPosATL player];
			};
	};

}];
