/*-----------------------------------------------------------------------------------------------//
Authors: Sceptre
Sets the text/description of a control.

Parameters:
0: Control index <SCALAR>
1: New text/description <STRING,ARRAY>

Returns:
Nothing
//-----------------------------------------------------------------------------------------------*/
disableSerialization;
params [["_ctrlIndex",0,[0]],["_ctrlText","",["",[]]]];

private _text = findDisplay 12700 displayCtrl ((CDS_controlsInfo # _ctrlIndex) # 1);

(CDS_controlsInfo select _ctrlIndex) set [3,_ctrlText];
if (_ctrlText isEqualType []) then {
	_text ctrlSetText ((_ctrlText # 0) + ":");
	_text ctrlSetTooltip (_ctrlText # 1);
} else {
	_text ctrlSetText (_ctrlText + ":");
	_text ctrlSetTooltip "";
};
